
--============================ CH 1 =================================--

local group_hardware = Group {

  name = "NSX-39 HARDWARE SETTING",
  
  Parameter {
    id = "Hardware_Volume_1",
    name = "Hardware_Volume",
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x11, 0x0D, 0x0A, "vv", 0x00, 0x00, 0xF7},
    number = 0,
    items = {"DOWN","DOWN","----","UP","UP"},
    item_values = {3,3,100,2,2},
    default_value = 3,
  },
  Parameter {
    id = "Hardware_Mode_1",
    name = "Hardware_Mode",
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x11, 0x0D, 0x0A, 0x06, "vv", 0x00, 0xF7},
    number = 0,
    items = {"NSX-1","NSX-39"},
    item_values = {1,0},
    default_value = 1,
    value_callback = function(parameter,midi_value)
          local vb = parameter.synth_definition.view_builder
            if parameter:value() == 1 then
              vb.views["Stylus_Mode_1"].active = false
              vb.views["label_Stylus_Mode_1"].text = ""

              vb.views["Vowel_1"].active = true
              vb.views["label_Vowel_1"].text = "Vowel"
              vb.views["Seek_Reset_1"].active = true
              vb.views["label_Seek_Reset_1"].text = "Seek_Reset"
              vb.views["Seek_Position_1"].active = true
              vb.views["label_Seek_Position_1"].text = "Seek_Position"
              vb.views["Antagata"].active = true
              vb.views["label_Antagata"].text = "あんたがたどこさ"
              vb.views["Momiji"].active = true
              vb.views["label_Momiji"].text = "もみじ"
              vb.views["Nandeyanen"].active = true
              vb.views["label_Nandeyanen"].text = "なんでやねん"
              vb.views["Daijyoobu"].active = true
              vb.views["label_Daijyoobu"].text = "だいじょうぶ"
              vb.views["Irassyaimase"].active = true
              vb.views["label_Irassyaimase"].text = "いらっしゃいませ"
              vb.views["Maidoookini"].active = true
              vb.views["label_Maidoookini"].text = "まいどおおきに"
              vb.views["Jyankenpon"].active = true
              vb.views["label_Jyankenpon"].text = "じゃんけんぽん"
              vb.views["Jyaamatane"].active = true
              vb.views["label_Jyaamatane"].text = "じゃあまたね"

            elseif parameter:value() == 0 then
              vb.views["Stylus_Mode_1"].active = true
              vb.views["label_Stylus_Mode_1"].text = "Stylus_Mode"

              vb.views["Vowel_1"].active = false
              vb.views["label_Vowel_1"].text = ""
              vb.views["Seek_Reset_1"].active = false
              vb.views["label_Seek_Reset_1"].text = ""
              vb.views["Seek_Position_1"].active = false
              vb.views["label_Seek_Position_1"].text = ""
              vb.views["Antagata"].active = false
              vb.views["label_Antagata"].text = ""
              vb.views["Momiji"].active = false
              vb.views["label_Momiji"].text = ""
              vb.views["Nandeyanen"].active = false
              vb.views["label_Nandeyanen"].text = ""
              vb.views["Daijyoobu"].active = false
              vb.views["label_Daijyoobu"].text = ""
              vb.views["Irassyaimase"].active = false
              vb.views["label_Irassyaimase"].text = ""
              vb.views["Maidoookini"].active = false
              vb.views["label_Maidoookini"].text = ""
              vb.views["Jyankenpon"].active = false
              vb.views["label_Jyankenpon"].text = ""
              vb.views["Jyaamatane"].active = false
              vb.views["label_Jyaamatane"].text = ""

            end
          end
  },
  Parameter {
    id = "Stylus_Mode_1",
    name = "Stylus_Mode",
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x11, 0x0D, 0x0A, 0x08, "vv", 0x00, 0xF7},
    number = 0,
    items = {"Normal","Do-Re-Mi"},
    item_values = {0,1},
    default_value = 1,
  },
  Parameter {
    id = "Initialize_Hardware_1",
    name = "Initialize_Hardware",
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x11, 0x0D, 0x0A, 0x07, "vv", 0x00, 0xF7},
    number = 0,
    items = {"------","Initialize"},
    item_values = {1,0},
  },
}


local group_channel_1 = Group {

  name = "CH1 MIKU PARAMETERS",

  Parameter {
    id = "Main_Volume_1",
    name = "Main_Volume",
    type = "cc",
    number = 7,
    default_value = 100,
  },
  Parameter {
    id = "Expression_1",
    name = "Expression",
    type = "cc",
    number = 11,
    default_value = 100,
  },
  Parameter {
    id = "Sustain_1",
    name = "Sustain",
    type = "cc",
    number = 64,
    items = {"OFF","ON"},
    item_values = {0,127},
  },
  Parameter {
    id = "Modulation_1",
    name = "Modulation",
    type = "cc",
    number = 1,
    default_value = 40,
  },
  Parameter {
    id = "Pitchbend_Sens_1",
    name = "Pitchbend_Sens.",
    type = "rpn",
    number = 0,
    min_value = 0,
    max_value = 3200,
    display_min_value = 0,
    display_max_value = 24,
    default_value = 256,
  },
  Parameter {
    id = "Finetune_1",
    name = "Finetune",
    type = "rpn",
    number = 1,
    min_value = 0,
    max_value = 16383,
    display_min_value = -100,
    display_max_value = 100,
    default_value = 8192,
  },

  Parameter {
    id = "Auto_Pitch_Control_1",
    name = "Auto_Pitch_Ctrl",
    type = "nrpn",
    number = 14337,
    items = {"OFF","ON"},
    item_values = {0,128},
    default_value = 2,
  },
  Parameter {
    id = "Auto_Dynamics_Control_1",
    name = "Auto_Dynamics_Ctrl",
    type = "nrpn",
    number = 14338,
    items = {"OFF","ON"},
    item_values = {0,128},
    default_value = 2,
  },
  Parameter {
    id = "Vibrate_Type_1",
    name = "Vibrate_Type",
    type = "nrpn",
    number = 14339,
    items = {"Extreme","Fast","Normal","Slight"},
    item_values = {0,128,256,384},
    default_value = 3,
  },
  Parameter {
    id = "Vibrate_Rate_1",
    name = "Vibrate_Rate",
    type = "nrpn",
    number = 14340,
    min_value = 127,
    max_value = 16256,
    display_min_value = 0,
    display_max_value = 127,
    default_value = 10240,
  },
  Parameter {
    id = "Vibrate_Delay_1",
    name = "Vibrate_Delay",
    type = "nrpn",
    number = 14343,
    max_value = 896,
    default_value = 256,
  },
  Parameter {
    id = "Portamento_Timing_1",
    name = "Portamento_Timing",
    type = "nrpn",
    number = 14344,
    min_value = 127,
    max_value = 16256,
    display_min_value = 0,
    display_max_value = 127,
  },

  Parameter {
    id = "White_Noise_Control_1",
    name = "White_Noise_Control",
    type = "nrpn",
    number = 14346,
    min_value = 127,
    max_value = 16256,
    display_min_value = -24,
    display_max_value = 24,
    default_value = 8192,
  },
  Parameter {
    id = "Phoneme_Connect_Type_1",
    name = "Phoneme_Connect",
    type = "nrpn",
    number = 14348,
    gui_type = "dropdown",
    items = {"Fixed 50 msec Mode","Minimum Mode","Velocity Mode"},
    item_values = {0,128,256},
    default_value = 1,
  },
}



local group_send_ch1 = Group {
  name = "SEND from CH1",

  Parameter {
    id = "REVERB_SEND_1",
    name = "to_REVERB",
    type = "cc",
    number = 91,
  },
  Parameter {
    id = "CHORUS_SEND_1",
    name = "to_CHORUS",
    type = "cc",
    number = 93,
  },
  Parameter {
    id = "VARIATION_SEND_1",
    name = "to_VARIATION",
    type = "cc",
    number = 94,
  },
}



local group_nsx1_ch1 = Group {
  name = "NSX-1 COMPATIBLE MODE",


  Parameter {
    id = "Vowel_1",
    name = "Vowel",
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x00, 0x50, "nn", "vv", 0x00, 0xF7},
    number = 16,
    items = {"あ","い","う","え","お"},
    item_values = {97,105,77,101,111},
    default_value = 1,
  },
  Parameter {
    id = "Seek_Reset_1",
    name = "Seek_Reset",
    type = "nrpn",
    number = 14345,
    items = {"文頭に戻る","文頭に戻る"},
    item_values = {0,0},
  },
  Parameter {
    id = "Seek_Position_1",
    name = "Seek_Position",
    type = "nrpn",
    number = 14345,
    min_value = 127,
    max_value = 6271,
    display_min_value = 0,
    display_max_value = 48,
  },

  Parameter {
    id = "Antagata",
    name = "あんたがたどこさ",
    number = 200,--============= Dammy Number
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x00, 0x50, 0x10, 0x61, 0x2C, 0x4E, 0x5C, 0x2C, 0x74, 0x20, 0x61, 0x2C, 0x67, 0x20, 0x61, 0x2C, 0x74, 0x20, 0x61, 0x2C, 0x64, 0x20, 0x6F, 0x2C, 0x6B, 0x20, 0x6F, 0x2C, 0x73, 0x20, 0x61, 0x2C, 0x43, 0x20, 0x69, 0x2C, 0x67, 0x20, 0x6F, 0x2C, 0x73, 0x20, 0x61, 0x2C, 0x43, 0x20, 0x69, 0x2C, 0x67, 0x20, 0x6F, 0x2C, 0x64, 0x20, 0x6F, 0x2C, 0x6B, 0x20, 0x6F, 0x2C, 0x73, 0x20, 0x61, 0x2C, 0x6B, 0x20, 0x4D, 0x2C, 0x6D, 0x20, 0x61, 0x2C, 0x6D, 0x20, 0x6F, 0x2C, 0x74, 0x20, 0x6F, 0x2C, 0x73, 0x20, 0x61, 0x2C, 0x6B, 0x20, 0x4D, 0x2C, 0x6D, 0x20, 0x61, 0x2C, 0x6D, 0x20, 0x6F, 0x2C, 0x74, 0x20, 0x6F, 0x2C, 0x64, 0x20, 0x6F, 0x2C, 0x6B, 0x20, 0x6F, 0x2C, 0x73, 0x20, 0x61, 0x2C, 0x73, 0x20, 0x65, 0x2C, 0x4E, 0x5C, 0x2C, 0x62, 0x20, 0x61, 0x2C, 0x73, 0x20, 0x61, 0x00, 0x73, 0x20, 0x65, 0x2C, 0x4E, 0x5C, 0x2C, 0x62, 0x20, 0x61, 0x2C, 0x6A, 0x20, 0x61, 0x2C, 0x6D, 0x20, 0x61, 0x2C, 0x4A, 0x20, 0x69, 0x2C, 0x77, 0x20, 0x61, 0x2C, 0x74, 0x20, 0x61, 0x2C, 0x6E, 0x20, 0x4D, 0x2C, 0x6B, 0x27, 0x20, 0x69, 0x2C, 0x67, 0x20, 0x61, 0x2C, 0x6F, 0x2C, 0x74, 0x20, 0x65, 0x2C, 0x73, 0x20, 0x61, 0x2C, 0x73, 0x20, 0x6F, 0x2C, 0x34, 0x20, 0x65, 0x2C, 0x6F, 0x2C, 0x34, 0x27, 0x20, 0x6F, 0x2C, 0x53, 0x20, 0x69, 0x2C, 0x67, 0x20, 0x61, 0x2C, 0x74, 0x20, 0x65, 0x2C, 0x70, 0x20, 0x6F, 0x2C, 0x64, 0x20, 0x65, 0x2C, 0x4D, 0x2C, 0x74, 0x20, 0x65, 0x2C, 0x73, 0x20, 0x61, 0x00, 0x4A, 0x20, 0x69, 0x2C, 0x74, 0x20, 0x65, 0x2C, 0x73, 0x20, 0x61, 0x2C, 0x6A, 0x20, 0x61, 0x2C, 0x69, 0x2C, 0x74, 0x20, 0x65, 0x2C, 0x73, 0x20, 0x61, 0x2C, 0x6B, 0x20, 0x4D, 0x2C, 0x74, 0x20, 0x65, 0x2C, 0x73, 0x20, 0x61, 0x2C, 0x73, 0x20, 0x6F, 0x2C, 0x34, 0x20, 0x65, 0x2C, 0x77, 0x20, 0x6F, 0x2C, 0x6B, 0x20, 0x6F, 0x2C, 0x6E, 0x20, 0x6F, 0x2C, 0x68, 0x20, 0x61, 0x2C, 0x64, 0x20, 0x65, 0x2C, 0x74, 0x53, 0x20, 0x6F, 0x2C, 0x69, 0x2C, 0x74, 0x20, 0x6F, 0x2C, 0x6B, 0x20, 0x61, 0x2C, 0x62, 0x20, 0x4D, 0x2C, 0x73, 0x20, 0x65, 0x00, 0xF7},
    items = {"クリック","クリック"},
  },
  
  Parameter {
    id = "Momiji",
    name = "もみじ",
    number = 200,--============= Dammy Number
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x00, 0x50, 0x10, 0x61, 0x2C, 0x6B, 0x27, 0x20, 0x69, 0x2C, 0x6E, 0x20, 0x6F, 0x2C, 0x6A, 0x20, 0x4D, 0x2C, 0x4D, 0x2C, 0x43, 0x20, 0x69, 0x2C, 0x4A, 0x20, 0x69, 0x2C, 0x74, 0x20, 0x65, 0x2C, 0x34, 0x20, 0x4D, 0x2C, 0x4D, 0x2C, 0x6A, 0x20, 0x61, 0x2C, 0x6D, 0x20, 0x61, 0x2C, 0x6D, 0x20, 0x6F, 0x2C, 0x6D, 0x27, 0x20, 0x69, 0x2C, 0x69, 0x2C, 0x64, 0x5A, 0x20, 0x69, 0x2C, 0x6B, 0x20, 0x6F, 0x2C, 0x69, 0x2C, 0x6D, 0x20, 0x6F, 0x2C, 0x4D, 0x2C, 0x73, 0x20, 0x4D, 0x2C, 0x69, 0x2C, 0x6D, 0x20, 0x6F, 0x2C, 0x6B, 0x20, 0x61, 0x2C, 0x64, 0x7A, 0x20, 0x4D, 0x2C, 0x4D, 0x2C, 0x61, 0x2C, 0x34, 0x20, 0x4D, 0x2C, 0x6E, 0x20, 0x61, 0x2C, 0x6B, 0x20, 0x61, 0x2C, 0x4A, 0x20, 0x69, 0x00, 0x6D, 0x20, 0x61, 0x2C, 0x74, 0x73, 0x20, 0x4D, 0x2C, 0x77, 0x20, 0x6F, 0x2C, 0x69, 0x2C, 0x34, 0x20, 0x6F, 0x2C, 0x64, 0x20, 0x6F, 0x2C, 0x34, 0x20, 0x4D, 0x2C, 0x6B, 0x20, 0x61, 0x2C, 0x65, 0x2C, 0x65, 0x2C, 0x64, 0x20, 0x65, 0x2C, 0x6A, 0x20, 0x61, 0x2C, 0x61, 0x2C, 0x74, 0x73, 0x20, 0x4D, 0x2C, 0x74, 0x20, 0x61, 0x2C, 0x77, 0x20, 0x61, 0x2C, 0x6A, 0x20, 0x61, 0x2C, 0x6D, 0x20, 0x61, 0x2C, 0x6E, 0x20, 0x6F, 0x2C, 0x70, 0x5C, 0x20, 0x4D, 0x2C, 0x6D, 0x20, 0x6F, 0x2C, 0x74, 0x20, 0x6F, 0x2C, 0x6E, 0x20, 0x6F, 0x2C, 0x73, 0x20, 0x4D, 0x2C, 0x73, 0x20, 0x6F, 0x2C, 0x6F, 0x2C, 0x6D, 0x20, 0x6F, 0x2C, 0x6A, 0x20, 0x6F, 0x2C, 0x6F, 0x00, 0xF7 },
    items = {"クリック","クリック"},
  },
  
  Parameter {
    id = "Nandeyanen",
    name = "なんでやねん",
    number = 200,--============= Dammy Number
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x00, 0x50, 0x10, 0x6E, 0x20, 0x61, 0x2C, 0x4E, 0x5C, 0x2C, 0x64, 0x20, 0x65, 0x2C, 0x6A, 0x20, 0x61, 0x2C, 0x6E, 0x20, 0x65, 0x2C, 0x4E, 0x5C, 0x00, 0xF7 },
    items = {"クリック","クリック"},
  },
  Parameter {
    id = "Daijyoobu",
    name = "だいじょうぶ",
    number = 200,--============= Dammy Number
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x00, 0x50, 0x10, 0x64, 0x20, 0x61, 0x2C, 0x69, 0x2C, 0x64, 0x5A, 0x20, 0x6F, 0x2C, 0x6F, 0x2C, 0x62, 0x20, 0x4D, 0x00, 0xF7 },
    items = {"クリック","クリック"},
  },
  Parameter {
    id = "Irassyaimase",
    name = "いらっしゃいませ",
    number = 200,--============= Dammy Number
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x00, 0x50, 0x10, 0x69, 0x2C, 0x34, 0x20, 0x61, 0x2C, 0x53, 0x20, 0x61, 0x2C, 0x69, 0x2C, 0x6D, 0x20, 0x61, 0x2C, 0x73, 0x20, 0x65, 0x00, 0xF7 },
    items = {"クリック","クリック"},
  },
  Parameter {
    id = "Maidoookini",
    name = "まいどおおきに",
    number = 200,--============= Dammy Number
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x00, 0x50, 0x10, 0x6D, 0x20, 0x61, 0x2C, 0x69, 0x2C, 0x64, 0x20, 0x6F, 0x2C, 0x6F, 0x2C, 0x6F, 0x2C, 0x6B, 0x27, 0x20, 0x69, 0x2C, 0x4A, 0x20, 0x69, 0x00, 0xF7 },
    items = {"クリック","クリック"},
  },
  Parameter {
    id = "Jyankenpon",
    name = "じゃんけんぽん",
    number = 200,--============= Dammy Number
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x00, 0x50, 0x10, 0x64, 0x5A, 0x20, 0x61, 0x2C, 0x4E, 0x5C, 0x2C, 0x6B, 0x20, 0x65, 0x2C, 0x4E, 0x5C, 0x2C, 0x70, 0x20, 0x6F, 0x2C, 0x4E, 0x5C, 0x00, 0xF7 },
    items = {"クリック","クリック"},
  },
  
  Parameter {
    id = "Jyaamatane",
    name = "じゃあまたね",
    number = 200,--============= Dammy Number
    sysex_message_template = {0xF0, 0x43, 0x79, 0x09, 0x00, 0x50, 0x10, 0x64, 0x5A, 0x20, 0x61, 0x2C, 0x61, 0x2C, 0x6D, 0x20, 0x61, 0x2C, 0x74, 0x20, 0x61, 0x2C, 0x6E, 0x20, 0x65, 0x00, 0xF7 },
    items = {"クリック","クリック"},
  },
}


local group_comment_ch1 = Group {
  name = "Initialize は、全てのチャンネルの設定を初期化します。\n\n ポルタメント値の変更は、新しく単語を送信した後に \n 反映されます。\n\n Ch 1 は、Variation Effect の INSERTION は使えません。\n SEND-RETURN (SYSTEM) は使えます。",
--  name = "'Initialize' affects all channel settings. \n\n Portamento value will apply after sending new word.\n\n In Ch-1, INSERTION of Variation Effect is disabled. \n SEND-RETURN (SYSTEM) is available normally.",
  
}








--============================ CH 2 =================================--

local group_channel_2 = Group {

  name = "CHANNEL 2",
  
  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x01, "nn", "vv", 0xF7},

  Parameter {
    id = "Program_Number_2",
    name = "Program_Number",
    number = 3,
    display_min_value = 1,
    display_max_value = 128,
  },
  Parameter {
    id = "Mono_Poly_Mode_2",
    name = "Mono_Poly_Mode",
    number = 5,
    items = {"MONO","POLY"},
    item_values = {0,1},
    default_value = 2,
  },
  Parameter {
    id = "Portamento_2",
    name = "Portamento",
    number = 103,
    items = {"OFF","ON"},
    item_values = {0,127},
  },
  Parameter {
    id = "Porta_Time_2",
    name = "Porta_Time",
    number = 104,
  },
  Parameter {
    id = "Volume_2",
    name = "Volume",
    number = 11,
    default_value = 100,
  },
  Parameter {
    id = "Pan_2",
    name = "Pan",
    number = 14,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Transpose_2",
    name = "Transpose",
    number = 8,
    min_value = 40,
    max_value = 88,
    display_min_value = -24,
    display_max_value = 24,
    default_value = 64,
  },
  Parameter {
    id = "Finetune_2",
    name = "Finetune",
    number = 9,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x01, "nn", "xx", 0xF7},
    min_value = 0,
    max_value = 2040,
    display_min_value = -128,
    display_max_value = 127,
    default_value = 1020,
  },
  Parameter {
    id = "Vibrate_Rate_2",
    name = "Vibrate_Rate",
    number = 21,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Depth_2",
    name = "Vibrate_Depth",
    number = 22,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Delay_2",
    name = "Vibrate_Delay",
    number = 23,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Cutoff_2",
    name = "Filter_Cutoff",
    number = 24,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_2",
    name = "Filter_Reso",
    number = 25,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Time_2",
    name = "EG_Attack_Time",
    number = 26,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay_Time_2",
    name = "EG_Decay_Time",
    number = 27,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Release_Time_2",
    name = "EG_Release_Time",
    number = 28,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  
  Parameter {
    id = "Pitch_Initial_Level_2",
    name = "Pitch_Initial_Level",
    number = 105,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Attack_Time_2",
    name = "Pitch_Attack_Time",
    number = 106,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Level_2",
    name = "Pitch_Release_Level",
    number = 107,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Time_2",
    name = "Pitch_Release_Time",
    number = 108,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}

local group_send_ch2 = Group {
  name = "SEND from CH2",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x01, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_2",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_2",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_2",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_2",
    name = "to_VARIATION",
    number = 20,
  },
}


--============================ CH 3 =================================--

local group_channel_3 = Group {

  name = "CHANNEL 3",
  
  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x02, "nn", "vv", 0xF7},

  Parameter {
    id = "Program_Number_3",
    name = "Program_Number",
    number = 3,
    display_min_value = 1,
    display_max_value = 128,
  },
  Parameter {
    id = "Mono_Poly_Mode_3",
    name = "Mono_Poly_Mode",
    number = 5,
    items = {"MONO","POLY"},
    item_values = {0,1},
    default_value = 2,
  },
  Parameter {
    id = "Portamento_3",
    name = "Portamento",
    number = 103,
    items = {"OFF","ON"},
    item_values = {0,127},
  },
  Parameter {
    id = "Porta_Time_3",
    name = "Porta_Time",
    number = 104,
  },
  Parameter {
    id = "Volume_3",
    name = "Volume",
    number = 11,
    default_value = 100,
  },
  Parameter {
    id = "Pan_3",
    name = "Pan",
    number = 14,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Transpose_3",
    name = "Transpose",
    number = 8,
    min_value = 40,
    max_value = 88,
    display_min_value = -24,
    display_max_value = 24,
    default_value = 64,
  },
  Parameter {
    id = "Finetune_3",
    name = "Finetune",
    number = 9,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x02, "nn", "xx", 0xF7},
    min_value = 0,
    max_value = 2040,
    display_min_value = -128,
    display_max_value = 127,
    default_value = 1020,
  },
  Parameter {
    id = "Vibrate_Rate_3",
    name = "Vibrate_Rate",
    number = 21,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Depth_3",
    name = "Vibrate_Depth",
    number = 22,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Delay_3",
    name = "Vibrate_Delay",
    number = 23,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Cutoff_3",
    name = "Filter_Cutoff",
    number = 24,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_3",
    name = "Filter_Reso",
    number = 25,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Time_3",
    name = "EG_Attack_Time",
    number = 26,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay_Time_3",
    name = "EG_Decay_Time",
    number = 27,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Release_Time_3",
    name = "EG_Release_Time",
    number = 28,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  
  Parameter {
    id = "Pitch_Initial_Level_3",
    name = "Pitch_Initial_Level",
    number = 105,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Attack_Time_3",
    name = "Pitch_Attack_Time",
    number = 106,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Level_3",
    name = "Pitch_Release_Level",
    number = 107,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Time_3",
    name = "Pitch_Release_Time",
    number = 108,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}


local group_send_ch3 = Group {
  name = "SEND from CH3",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x02, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_3",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_3",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_3",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_3",
    name = "to_VARIATION",
    number = 20,
  },
}



--============================ CH 4 =================================--

local group_channel_4 = Group {

  name = "CHANNEL 4",
  
  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x03, "nn", "vv", 0xF7},

  Parameter {
    id = "Program_Number_4",
    name = "Program_Number",
    number = 3,
    display_min_value = 1,
    display_max_value = 128,
  },
  Parameter {
    id = "Mono_Poly_Mode_4",
    name = "Mono_Poly_Mode",
    number = 5,
    items = {"MONO","POLY"},
    item_values = {0,1},
    default_value = 2,
  },
  Parameter {
    id = "Portamento_4",
    name = "Portamento",
    number = 103,
    items = {"OFF","ON"},
    item_values = {0,127},
  },
  Parameter {
    id = "Porta_Time_4",
    name = "Porta_Time",
    number = 104,
  },
  Parameter {
    id = "Volume_4",
    name = "Volume",
    number = 11,
    default_value = 100,
  },
  Parameter {
    id = "Pan_4",
    name = "Pan",
    number = 14,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Transpose_4",
    name = "Transpose",
    number = 8,
    min_value = 40,
    max_value = 88,
    display_min_value = -24,
    display_max_value = 24,
    default_value = 64,
  },
  Parameter {
    id = "Finetune_4",
    name = "Finetune",
    number = 9,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x03, "nn", "xx", 0xF7},
    min_value = 0,
    max_value = 2040,
    display_min_value = -128,
    display_max_value = 127,
    default_value = 1020,
  },
  Parameter {
    id = "Vibrate_Rate_4",
    name = "Vibrate_Rate",
    number = 21,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Depth_4",
    name = "Vibrate_Depth",
    number = 22,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Delay_4",
    name = "Vibrate_Delay",
    number = 23,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Cutoff_4",
    name = "Filter_Cutoff",
    number = 24,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_4",
    name = "Filter_Reso",
    number = 25,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Time_4",
    name = "EG_Attack_Time",
    number = 26,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay_Time_4",
    name = "EG_Decay_Time",
    number = 27,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Release_Time_4",
    name = "EG_Release_Time",
    number = 28,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  
  Parameter {
    id = "Pitch_Initial_Level_4",
    name = "Pitch_Initial_Level",
    number = 105,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Attack_Time_4",
    name = "Pitch_Attack_Time",
    number = 106,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Level_4",
    name = "Pitch_Release_Level",
    number = 107,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Time_4",
    name = "Pitch_Release_Time",
    number = 108,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}


local group_send_ch4 = Group {
  name = "SEND from CH4",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x03, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_4",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_4",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_4",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_4",
    name = "to_VARIATION",
    number = 20,
  },
}





--============================ CH 5 =================================--

local group_channel_5 = Group {

  name = "CHANNEL 5",
  
  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x04, "nn", "vv", 0xF7},

  Parameter {
    id = "Program_Number_5",
    name = "Program_Number",
    number = 3,
    display_min_value = 1,
    display_max_value = 128,
  },
  Parameter {
    id = "Mono_Poly_Mode_5",
    name = "Mono_Poly_Mode",
    number = 5,
    items = {"MONO","POLY"},
    item_values = {0,1},
    default_value = 2,
  },
  Parameter {
    id = "Portamento_5",
    name = "Portamento",
    number = 103,
    items = {"OFF","ON"},
    item_values = {0,127},
  },
  Parameter {
    id = "Porta_Time_5",
    name = "Porta_Time",
    number = 104,
  },
  Parameter {
    id = "Volume_5",
    name = "Volume",
    number = 11,
    default_value = 100,
  },
  Parameter {
    id = "Pan_5",
    name = "Pan",
    number = 14,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Transpose_5",
    name = "Transpose",
    number = 8,
    min_value = 40,
    max_value = 88,
    display_min_value = -24,
    display_max_value = 24,
    default_value = 64,
  },
  Parameter {
    id = "Finetune_5",
    name = "Finetune",
    number = 9,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x04, "nn", "xx", 0xF7},
    min_value = 0,
    max_value = 2040,
    display_min_value = -128,
    display_max_value = 127,
    default_value = 1020,
  },
  Parameter {
    id = "Vibrate_Rate_5",
    name = "Vibrate_Rate",
    number = 21,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Depth_5",
    name = "Vibrate_Depth",
    number = 22,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Delay_5",
    name = "Vibrate_Delay",
    number = 23,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Cutoff_5",
    name = "Filter_Cutoff",
    number = 24,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_5",
    name = "Filter_Reso",
    number = 25,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Time_5",
    name = "EG_Attack_Time",
    number = 26,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay_Time_5",
    name = "EG_Decay_Time",
    number = 27,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Release_Time_5",
    name = "EG_Release_Time",
    number = 28,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  
  Parameter {
    id = "Pitch_Initial_Level_5",
    name = "Pitch_Initial_Level",
    number = 105,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Attack_Time_5",
    name = "Pitch_Attack_Time",
    number = 106,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Level_5",
    name = "Pitch_Release_Level",
    number = 107,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Time_5",
    name = "Pitch_Release_Time",
    number = 108,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}

local group_send_ch5 = Group {
  name = "SEND from CH5",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x04, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_5",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_5",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_5",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_5",
    name = "to_VARIATION",
    number = 20,
  },
}


--============================ CH 6 =================================--

local group_channel_6 = Group {

  name = "CHANNEL 6",
  
  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x05, "nn", "vv", 0xF7},

  Parameter {
    id = "Program_Number_6",
    name = "Program_Number",
    number = 3,
    display_min_value = 1,
    display_max_value = 128,
  },
  Parameter {
    id = "Mono_Poly_Mode_6",
    name = "Mono_Poly_Mode",
    number = 5,
    items = {"MONO","POLY"},
    item_values = {0,1},
    default_value = 2,
  },
  Parameter {
    id = "Portamento_6",
    name = "Portamento",
    number = 103,
    items = {"OFF","ON"},
    item_values = {0,127},
  },
  Parameter {
    id = "Porta_Time_6",
    name = "Porta_Time",
    number = 104,
  },
  Parameter {
    id = "Volume_6",
    name = "Volume",
    number = 11,
    default_value = 100,
  },
  Parameter {
    id = "Pan_6",
    name = "Pan",
    number = 14,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Transpose_6",
    name = "Transpose",
    number = 8,
    min_value = 40,
    max_value = 88,
    display_min_value = -24,
    display_max_value = 24,
    default_value = 64,
  },
  Parameter {
    id = "Finetune_6",
    name = "Finetune",
    number = 9,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x05, "nn", "xx", 0xF7},
    min_value = 0,
    max_value = 2040,
    display_min_value = -128,
    display_max_value = 127,
    default_value = 1020,
  },
  Parameter {
    id = "Vibrate_Rate_6",
    name = "Vibrate_Rate",
    number = 21,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Depth_6",
    name = "Vibrate_Depth",
    number = 22,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Delay_6",
    name = "Vibrate_Delay",
    number = 23,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Cutoff_6",
    name = "Filter_Cutoff",
    number = 24,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_6",
    name = "Filter_Reso",
    number = 25,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Time_6",
    name = "EG_Attack_Time",
    number = 26,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay_Time_6",
    name = "EG_Decay_Time",
    number = 27,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Release_Time_6",
    name = "EG_Release_Time",
    number = 28,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  
  Parameter {
    id = "Pitch_Initial_Level_6",
    name = "Pitch_Initial_Level",
    number = 105,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Attack_Time_6",
    name = "Pitch_Attack_Time",
    number = 106,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Level_6",
    name = "Pitch_Release_Level",
    number = 107,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Time_6",
    name = "Pitch_Release_Time",
    number = 108,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}


local group_send_ch6 = Group {
  name = "SEND from CH6",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x05, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_6",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_6",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_6",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_6",
    name = "to_VARIATION",
    number = 20,
  },
}



--============================ CH 7 =================================--

local group_channel_7 = Group {

  name = "CHANNEL 7",
  
  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x06, "nn", "vv", 0xF7},

  Parameter {
    id = "Program_Number_7",
    name = "Program_Number",
    number = 3,
    display_min_value = 1,
    display_max_value = 128,
  },
  Parameter {
    id = "Mono_Poly_Mode_7",
    name = "Mono_Poly_Mode",
    number = 5,
    items = {"MONO","POLY"},
    item_values = {0,1},
    default_value = 2,
  },
  Parameter {
    id = "Portamento_7",
    name = "Portamento",
    number = 103,
    items = {"OFF","ON"},
    item_values = {0,127},
  },
  Parameter {
    id = "Porta_Time_7",
    name = "Porta_Time",
    number = 104,
  },
  Parameter {
    id = "Volume_7",
    name = "Volume",
    number = 11,
    default_value = 100,
  },
  Parameter {
    id = "Pan_7",
    name = "Pan",
    number = 14,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Transpose_7",
    name = "Transpose",
    number = 8,
    min_value = 40,
    max_value = 88,
    display_min_value = -24,
    display_max_value = 24,
    default_value = 64,
  },
  Parameter {
    id = "Finetune_7",
    name = "Finetune",
    number = 9,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x06, "nn", "xx", 0xF7},
    min_value = 0,
    max_value = 2040,
    display_min_value = -128,
    display_max_value = 127,
    default_value = 1020,
  },
  Parameter {
    id = "Vibrate_Rate_7",
    name = "Vibrate_Rate",
    number = 21,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Depth_7",
    name = "Vibrate_Depth",
    number = 22,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Delay_7",
    name = "Vibrate_Delay",
    number = 23,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Cutoff_7",
    name = "Filter_Cutoff",
    number = 24,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_7",
    name = "Filter_Reso",
    number = 25,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Time_7",
    name = "EG_Attack_Time",
    number = 26,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay_Time_7",
    name = "EG_Decay_Time",
    number = 27,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Release_Time_7",
    name = "EG_Release_Time",
    number = 28,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  
  Parameter {
    id = "Pitch_Initial_Level_7",
    name = "Pitch_Initial_Level",
    number = 105,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Attack_Time_7",
    name = "Pitch_Attack_Time",
    number = 106,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Level_7",
    name = "Pitch_Release_Level",
    number = 107,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Time_7",
    name = "Pitch_Release_Time",
    number = 108,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}


local group_send_ch7 = Group {
  name = "SEND from CH7",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x06, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_7",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_7",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_7",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_7",
    name = "to_VARIATION",
    number = 20,
  },
}









--========================= DRUM EDITOR ============================--


local group_channel_10 = Group {


  name = "CHANNEL 10",

    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0xF7}, --=================== Dammy SysEx


  Parameter {
    id = "Part_Mode_10",
    name = "Part_Mode",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x09, "nn", "vv", 0xF7}, 
    number = 7,
    items = {"DRUM 1","DRUM 1"},
    item_values = {2,2},
  },
  
  Parameter {
    id = "Drum_Setup_Reset_10",
    name = "Drum_Setup_Reset",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x00, 0x00, "nn", "vv", 0xF7}, 
    number = 125,
    items = {"DRUM 1","DRUM 1"},
    item_values = {0,0},
  },
  
  Parameter {
    id = "Program_Number_10",
    name = "Program_Number",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x09, "nn", "vv", 0xF7}, 
    number = 3,
    items = {"1: Standard Kit","2: Standard2 Kit","9: Room Kit","17: Rock Kit",
             "25: Electro Kit","26: Analog Kit","33: Jazz Kit","41: Brush Kit","49: Classic Kit"},
    item_values = {0,1,8,16,24,25,32,40,48},
    gui_type = "dropdown"
  },

  
  Parameter {
    id = "Note_Number_10",
    name = "Note_Number",
    number = 200,--dummy number
    items = {"13_C#    Surdo Mute","14_D     Surdo Open","15_D#    HiQ",
             "16_E     Whip Slap","17_F     Scratch Push","18_F#    Scratch Pull",
             "19_G     Finger Snap","20_G#    Click Noise","21_A     Metronome Click",
             "22_A#    Metronome Bell","23_B     Seq Click L","24_C     Seq Click H",
             "25_C#    Brush Tap","26_D     Brush Swirl L","27_D#    Brush Slap",
             "28_E     Brush Swirl H","29_F     Snare Roll","30_F#    Castanet",
             "31_G     Snare L","32_G#    Sticks","33_A     Dass Drum L",
             "34_A#    Open Rim Shot","35_B     Bass Drum M","36_C     Bass Drum H",
             "37_C#    Side Stick","38_D     Snare M","39_D#    Hand Clap",
             "40_E     Snare H","41_F     Floor Tom L","42_F#    Hi-Hat Closed",
             "43_G     Floor Tom H","44_G#    Hi-Hat Pedal","45_A     Low Tom",
             "46_A#    Hi-Hat Open","47_B    Mid Tom L","48_C     Mid Tom H",
             "49_C#    Crash Cymbal 1","50_D     High Tom","51_D#    Ride Cymbal 1",
             "52_E     Chinese Cymbal","53_F     Ride Cymbal Cup","54_F#    Tambourine",
             "55_G     Splash Cymbal","56_G#    Cowbell","57_A     Crash Cymbal 2",
             "58_A#    Vibraslap","59_B     Ride Cymbal 2","60_C     Bongo H",
             "61_C#    Bongo L","62_D     Conga H Mute","63_D#    Conga H Open",
             "64_E     Conga L","65_F     Timbale H","66_F#    Timbale L",
             "67_G     Agogo H","68_G#    Agogo L","69_A     Cabasa",
             "70_A#    Maracas","71_B     Samba Whistle H","72_C     Samba Whistle L",
             "73_C#    Guiro Short","74_D     Guiro Long","75_D#    Claves",
             "76_E     Wood Block H","77_F     Wood Block L","78_F#    Cuica Mute",
             "79_G     Cuica Open","80_G#    Triangle Mute","81_A     Triangle Open",
             "82_A#    Shaker","83_B     Jingle Bell","84_C     Bell Tree"
             },
    item_values = {13,14,15,16,17,18,19,20,
                   21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,
                   41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,
                   61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
                   81,82,83,84},
    gui_type = "dropdown",
    default_value = 24,

    value_callback = function(parameter,midi_value)
      local synth_definition = parameter.synth_definition
      
        if parameter:value() == 13 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 14 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 15 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 16 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 17 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 18 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 19 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 20 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 21 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 22 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 23 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 24 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 25 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 26 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 27 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 28 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 29 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 30 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 31 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 32 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 33 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 34 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 35 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 36 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 37 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 38 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 39 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 40 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 41 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 42 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 43 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 44 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 45 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 46 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 47 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 48 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 49 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 50 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 51 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 52 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 53 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 54 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 55 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 56 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 57 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 58 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 59 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 60 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 61 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 62 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 63 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 64 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 65 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 66 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 67 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 68 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 69 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 70 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 71 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 72 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 73 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 74 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 75 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 76 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 77 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 78 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 79 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 80 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 81 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 82 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 83 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 84 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
      end
    end
  },



  Parameter {
    id = "Pitch_Coarse_10",
    name = "Transpose",
    number = 0,
    min_value = 0,
    max_value = 127,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Fine_10",
    name = "Finetune",
    number = 1,
    min_value = 0,
    max_value = 127,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Level_10",
    name = "Level",
    number = 2,
  },
  Parameter {
    id = "Alternate_Group_10",
    name = "Alternate_Group",
    number = 3,
    items = {"OFF","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15"},
    gui_type = "dropdown",
  },
  Parameter {
    id = "Pan_10",
    name = "Pan",
    number = 4,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Reverb_Send_10",
    name = "Reverb_Send",
    number = 5,
  },
  Parameter {
    id = "Chorus_Send_10",
    name = "Chorus_Send",
    number = 6,
  },
  Parameter {
    id = "Variation_Send_10",
    name = "Variation_Send",
    number = 7,
  },
  Parameter {
    id = "Key_Assign_10",
    name = "Key_Assign",
    number = 08,
    items = {"SINGLE","MULTI"},
    item_values = {0,1},
  },
  Parameter {
    id = "Rev_Note_Off_10",
    name = "Rev_Note_Off",
    number = 09,
    items = {"OFF","ON"},
    item_values = {0,1},
  },
  Parameter {
    id = "Filter_Cutoff_10",
    name = "Filter_Cutoff",
    number = 11,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_10",
    name = "Filter_Reso",
    number = 12,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Rate_10",
    name = "EG_Attack_Rate",
    number = 13,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay1_Rate_10",
    name = "EG_Decay1_Rate",
    number = 14,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay2_Rate_10",
    name = "EG_Decay2_Rate",
    number = 15,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}



local group_send_ch10 = Group {
  name = "SEND from CH10",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x09, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_10",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_10",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_10",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_10",
    name = "to_VARIATION",
    number = 20,
  },
}

local group_comment_ch10 = Group {

  name = "ドラムキットを変更すると全てのパラメーターが初期化 \n されます。また、NSX-1 には Standard Kit だけが \n 内蔵されています（他は選べません）。"
--  name = "If you change Drum Kit, all parameters will be \n initialized. Also, NSX-1 has only a Standard Kit.",
  
}





--============================ REVERB =================================--

local group_reverb = Group {
  name = "REVERB",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},

  Parameter {
    id = "Reverb_Type",
    name = "Reverb_Type",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "xx", 0xF7},
    number = 00,
    gui_type = "dropdown",
    items = {"NO EFFECT",
             "HALL 1","HALL 2","HALL 3","HALL 4","HALL 5","HALL M","HALL L",
             "ROOM 1","ROOM 2","ROOM 3","ROOM 4","ROOM 5","ROOM 6","ROOM 7",
             "ROOM S","ROOM M","ROOM L",
             "STAGE 1","STAGE 2","STAGE 3","STAGE 4",
             "PLATE 1","PLATE 2","PLATE 3","GM PLATE",
             "WHITE ROOM","TUNNEL","CANYON","BASEMENT"},
    item_values = {0,
                   128,144,145,146,129,134,135,
                   272,273,274,275,256,257,258,
                   261,262,263,
                   400,401,384,385,
                   528,529,512,519,
                   2048,2176,2304,2432},
    value_callback = function(parameter,midi_value)
          local vb = parameter.synth_definition.view_builder
            if parameter:value() == 0 then
              vb.views["Reverb_Param_1"].active = false
              vb.views["label_Reverb_Param_1"].text = ""
              vb.views["Reverb_Param_2"].active = false
              vb.views["label_Reverb_Param_2"].text = ""
              vb.views["Reverb_Param_3"].active = false
              vb.views["label_Reverb_Param_3"].text = ""
              vb.views["Reverb_Param_4"].active = false
              vb.views["label_Reverb_Param_4"].text = ""
              vb.views["Reverb_Param_5"].active = false
              vb.views["label_Reverb_Param_5"].text = ""
              vb.views["Reverb_Param_6"].active = false
              vb.views["label_Reverb_Param_6"].text = ""
              vb.views["Reverb_Param_7"].active = false
              vb.views["label_Reverb_Param_7"].text = ""
              vb.views["Reverb_Param_8"].active = false
              vb.views["label_Reverb_Param_8"].text = ""
              vb.views["Reverb_Param_9"].active = false
              vb.views["label_Reverb_Param_9"].text = ""

              vb.views["Reverb_Param_11"].active = false
              vb.views["label_Reverb_Param_11"].text = ""
              vb.views["Reverb_Param_12"].active = false
              vb.views["label_Reverb_Param_12"].text = ""
              vb.views["Reverb_Param_13"].active = false
              vb.views["label_Reverb_Param_13"].text = ""
              vb.views["Reverb_Param_14"].active = false
              vb.views["label_Reverb_Param_14"].text = ""
              vb.views["Reverb_Param_15"].active = false
              vb.views["label_Reverb_Param_15"].text = ""
              vb.views["Reverb_Param_16"].active = false
              vb.views["label_Reverb_Param_16"].text = ""
            elseif parameter:value() >= 128 and parameter:value() <= 529 then
              vb.views["Reverb_Param_1"].active = true
              vb.views["label_Reverb_Param_1"].text = "Reverb_Time"
              vb.views["Reverb_Param_2"].active = true
              vb.views["label_Reverb_Param_2"].text = "Diffusion"
              vb.views["Reverb_Param_3"].active = true
              vb.views["label_Reverb_Param_3"].text = "Initial_Delay"
              vb.views["Reverb_Param_4"].active = true
              vb.views["label_Reverb_Param_4"].text = "HPF_Cutoff"
              vb.views["Reverb_Param_5"].active = true
              vb.views["label_Reverb_Param_5"].text = "LPF_Cutoff"
              vb.views["Reverb_Param_6"].active = false
              vb.views["label_Reverb_Param_6"].text = ""
              vb.views["Reverb_Param_7"].active = false
              vb.views["label_Reverb_Param_7"].text = ""
              vb.views["Reverb_Param_8"].active = false
              vb.views["label_Reverb_Param_8"].text = ""
              vb.views["Reverb_Param_9"].active = false
              vb.views["label_Reverb_Param_9"].text = ""

              vb.views["Reverb_Param_11"].active = true
              vb.views["label_Reverb_Param_11"].text = "Rev_Delay"
              vb.views["Reverb_Param_12"].active = true
              vb.views["label_Reverb_Param_12"].text = "Density"
              vb.views["Reverb_Param_13"].active = true
              vb.views["label_Reverb_Param_13"].text = "Early/Rev Balance"
              vb.views["Reverb_Param_14"].active = true
              vb.views["label_Reverb_Param_14"].text = "High_Damp"
              vb.views["Reverb_Param_15"].active = true
              vb.views["label_Reverb_Param_15"].text = "Feedback_Level"
              vb.views["Reverb_Param_16"].active = false
              vb.views["label_Reverb_Param_16"].text = ""

            elseif parameter:value() >= 2048 then
              vb.views["Reverb_Param_1"].active = true
              vb.views["label_Reverb_Param_1"].text = "Reverb_Time"
              vb.views["Reverb_Param_2"].active = true
              vb.views["label_Reverb_Param_2"].text = "Diffusion"
              vb.views["Reverb_Param_3"].active = true
              vb.views["label_Reverb_Param_3"].text = "Initial_Delay"
              vb.views["Reverb_Param_4"].active = true
              vb.views["label_Reverb_Param_4"].text = "HPF_Cutoff"
              vb.views["Reverb_Param_5"].active = true
              vb.views["label_Reverb_Param_5"].text = "LPF_Cutoff"
              vb.views["Reverb_Param_6"].active = true
              vb.views["label_Reverb_Param_6"].text = "Width"
              vb.views["Reverb_Param_7"].active = true
              vb.views["label_Reverb_Param_7"].text = "Height"
              vb.views["Reverb_Param_8"].active = true
              vb.views["label_Reverb_Param_8"].text = "Depth"
              vb.views["Reverb_Param_9"].active = true
              vb.views["label_Reverb_Param_9"].text = "Wall_Vary"

              vb.views["Reverb_Param_11"].active = true
              vb.views["label_Reverb_Param_11"].text = "Rev_Delay"
              vb.views["Reverb_Param_12"].active = true
              vb.views["label_Reverb_Param_12"].text = "Density"
              vb.views["Reverb_Param_13"].active = true
              vb.views["label_Reverb_Param_13"].text = "Early/Rev Balance"
              vb.views["Reverb_Param_14"].active = true
              vb.views["label_Reverb_Param_14"].text = "High_Damp"
              vb.views["Reverb_Param_15"].active = true
              vb.views["label_Reverb_Param_15"].text = "Feedback_Level"
              vb.views["Reverb_Param_16"].active = false
              vb.views["label_Reverb_Param_16"].text = ""
   
            end
        end
      
  },
  Parameter {
    id = "Reverb_Param_1",
    name = "Reverb_Time",
    number = 02,
    max_value = 69,
    display_min_value = 3,
    display_max_value = 300,
  },
  Parameter {
    id = "Reverb_Param_2",
    name = "Diffusion",
    number = 03,
    max_value = 10,
  },
  Parameter {
    id = "Reverb_Param_3",
    name = "Initial_Delay",
    number = 04,
    max_value = 63,
    display_min_value = 1,
    display_max_value = 993,
  },
  Parameter {
    id = "Reverb_Param_4",
    name = "HPF_Cutoff",
    number = 05,
    max_value = 52,
    display_min_value = 0,
    display_max_value = 8000,
  },
  Parameter {
    id = "Reverb_Param_5",
    name = "LPF_Cutoff",
    number = 06,
    min_value = 34,
    max_value = 60,
    default_value = 60,
    display_min_value = 1000,
    display_max_value = 20000,
  },
  Parameter {
    id = "Reverb_Param_6",
    name = "Width",
    number = 07,
    min_value = 0,
    max_value = 37,
    display_min_value = 50,
    display_max_value = 1020,
  },
  Parameter {
    id = "Reverb_Param_7",
    name = "Height",
    number = 08,
    min_value = 0,
    max_value = 73,
    display_min_value = 50,
    display_max_value = 2020,
  },
  Parameter {
    id = "Reverb_Param_8",
    name = "Depth",
    number = 09,
    min_value = 0,
    max_value = 104,
    display_min_value = 50,
    display_max_value = 3020,
  },
  Parameter {
    id = "Reverb_Param_9",
    name = "Wall_Vary",
    number = 10,
    min_value = 0,
    max_value = 30,
  },

  Parameter {
    id = "Reverb_Param_11",
    name = "Rev_Delay",
    number = 16,
    min_value = 0,
    max_value = 25,
    display_min_value = 1,
    display_max_value = 395,
  },
  Parameter {
    id = "Reverb_Param_12",
    name = "Density",
    number = 17,
    min_value = 0,
    max_value = 4,
  },
  Parameter {
    id = "Reverb_Param_13",
    name = "Early/Rev Balance",
    number = 18,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
  Parameter {
    id = "Reverb_Param_14",
    name = "High_Damp",
    number = 19,
    min_value = 1,
    max_value = 10,
  },
  Parameter {
    id = "Reverb_Param_15",
    name = "Feedback_Level",
    number = 20,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
  Parameter {
    id = "Reverb_Param_16",
    name = "X",
    number = 21,
  },
}

local group_reverb_return = Group {
  name = "REVERB RETURN  (reverb level for whole parts)",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  
  Parameter {
    id = "Reverb_RETURN",
    name = "Reverb_RETURN",
    number = 12,
    default_value = 64,
  },
  Parameter {
    id = "Reverb_PAN",
    name = "Reverb_PAN",
    number = 13,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
}




--============================ CHORUS =================================--

local group_chorus = Group {
  name = "CHORUS",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},

  Parameter {
    id = "Chorus_Type",
    name = "Chorus_Type",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "xx", 0xF7},
    number = 32,
    gui_type = "dropdown",
    items = {"NO EFFECT",
             "CHORUS 1","CHORUS 2","CHORUS 3","CHORUS 4",
             "CHORUS 5","CHORUS 6","CHORUS 7","CHORUS 8",
             "GM CHORUS 1","GM CHORUS 2","GM CHORUS 3","GM CHORUS 4",
             "FB CHORUS","CELESTE 1","CELESTE 2",
             "FLANGER 1","FLANGER 2","FLANGER 3","FLANGER 4","FLANGER 5",
             "GM FLANGER","SYMPHONIC 1","SYMPHONIC 2","ROTARY SPEAKER 5"},
    item_values = {0,
                   8465,8456,8464,8449,
                   8322,8320,8321,8328,
                   8323,8324,8325,8326,
                   8327,8448,8450,
                   8584,8592,8593,8577,8576,
                   8583,8720,8704,8466},
    value_callback = function(parameter,midi_value)
          local vb = parameter.synth_definition.view_builder
            if parameter:value() == 0 then
              vb.views["Chorus_Param_1"].active = false
              vb.views["label_Chorus_Param_1"].text = ""
              vb.views["Chorus_Param_2"].active = false
              vb.views["label_Chorus_Param_2"].text = ""
              vb.views["Chorus_Param_3"].active = false
              vb.views["label_Chorus_Param_3"].text = ""
              vb.views["Chorus_Param_4"].active = false
              vb.views["label_Chorus_Param_4"].text = ""
              vb.views["Chorus_Param_5"].active = false
              vb.views["label_Chorus_Param_5"].text = ""
              vb.views["Chorus_Param_6"].active = false
              vb.views["label_Chorus_Param_6"].text = ""
              vb.views["Chorus_Param_7"].active = false
              vb.views["label_Chorus_Param_7"].text = ""
              vb.views["Chorus_Param_8"].active = false
              vb.views["label_Chorus_Param_8"].text = ""
              vb.views["Chorus_Param_9"].active = false
              vb.views["label_Chorus_Param_9"].text = ""

              vb.views["Chorus_Param_11"].active = false
              vb.views["label_Chorus_Param_11"].text = ""
              vb.views["Chorus_Param_12"].active = false
              vb.views["label_Chorus_Param_12"].text = ""
              vb.views["Chorus_Param_13"].active = false
              vb.views["label_Chorus_Param_13"].text = ""
              vb.views["Chorus_Param_14"].active = false
              vb.views["label_Chorus_Param_14"].text = ""
              vb.views["Chorus_Param_15"].active = false
              vb.views["label_Chorus_Param_15"].text = ""
              vb.views["Chorus_Param_16"].active = false
              vb.views["label_Chorus_Param_16"].text = ""
              
            elseif parameter:value() >= 8320 and parameter:value() <= 8466 then
              vb.views["Chorus_Param_1"].active = true
              vb.views["label_Chorus_Param_1"].text = "LFO_Freq."
              vb.views["Chorus_Param_2"].active = true
              vb.views["label_Chorus_Param_2"].text = "LFO_Depth"
              vb.views["Chorus_Param_3"].active = true
              vb.views["label_Chorus_Param_3"].text = "Feedback_Level"
              vb.views["Chorus_Param_4"].active = true
              vb.views["label_Chorus_Param_4"].text = "Delay_Offset"
              vb.views["Chorus_Param_5"].active = false
              vb.views["label_Chorus_Param_5"].text = ""
              vb.views["Chorus_Param_6"].active = true
              vb.views["label_Chorus_Param_6"].text = "EQ_Low_Freq."
              vb.views["Chorus_Param_7"].active = true
              vb.views["label_Chorus_Param_7"].text = "EQ_Low_Gain"
              vb.views["Chorus_Param_8"].active = true
              vb.views["label_Chorus_Param_8"].text = "EQ_High_Freq."
              vb.views["Chorus_Param_9"].active = true
              vb.views["label_Chorus_Param_9"].text = "EQ_High_Gain"

              vb.views["Chorus_Param_11"].active = true
              vb.views["label_Chorus_Param_11"].text = "EQ_Mid_Freq"
              vb.views["Chorus_Param_12"].active = true
              vb.views["label_Chorus_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Chorus_Param_13"].active = true
              vb.views["label_Chorus_Param_13"].text = "EQ_Mid_Width"
              vb.views["Chorus_Param_14"].active = false
              vb.views["label_Chorus_Param_14"].text = ""
              vb.views["Chorus_Param_15"].active = true
              vb.views["label_Chorus_Param_15"].text = "Input_Mode"
              vb.views["Chorus_Param_16"].active = false
              vb.views["label_Chorus_Param_16"].text = ""

            elseif parameter:value() >= 8576 and parameter:value() <= 8593 then
              vb.views["Chorus_Param_1"].active = true
              vb.views["label_Chorus_Param_1"].text = "LFO_Freq."
              vb.views["Chorus_Param_2"].active = true
              vb.views["label_Chorus_Param_2"].text = "LFO_Depth"
              vb.views["Chorus_Param_3"].active = true
              vb.views["label_Chorus_Param_3"].text = "Feedback_Level"
              vb.views["Chorus_Param_4"].active = true
              vb.views["label_Chorus_Param_4"].text = "Delay_Offset"
              vb.views["Chorus_Param_5"].active = false
              vb.views["label_Chorus_Param_5"].text = ""
              vb.views["Chorus_Param_6"].active = true
              vb.views["label_Chorus_Param_6"].text = "EQ_Low_Freq."
              vb.views["Chorus_Param_7"].active = true
              vb.views["label_Chorus_Param_7"].text = "EQ_Low_Gain"
              vb.views["Chorus_Param_8"].active = true
              vb.views["label_Chorus_Param_8"].text = "EQ_High_Freq."
              vb.views["Chorus_Param_9"].active = true
              vb.views["label_Chorus_Param_9"].text = "EQ_High_Gain"

              vb.views["Chorus_Param_11"].active = true
              vb.views["label_Chorus_Param_11"].text = "EQ_Mid_Freq"
              vb.views["Chorus_Param_12"].active = true
              vb.views["label_Chorus_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Chorus_Param_13"].active = true
              vb.views["label_Chorus_Param_13"].text = "EQ_Mid_Width"
              vb.views["Chorus_Param_14"].active = true
              vb.views["label_Chorus_Param_14"].text = "LFO_Phase_Diff."
              vb.views["Chorus_Param_15"].active = false
              vb.views["label_Chorus_Param_15"].text = ""
              vb.views["Chorus_Param_16"].active = false
              vb.views["label_Chorus_Param_16"].text = ""
              
              elseif parameter:value() == 8720 or parameter:value() == 8704 then
              vb.views["Chorus_Param_1"].active = true
              vb.views["label_Chorus_Param_1"].text = "LFO_Freq."
              vb.views["Chorus_Param_2"].active = true
              vb.views["label_Chorus_Param_2"].text = "LFO_Depth"
              vb.views["Chorus_Param_3"].active = true
              vb.views["label_Chorus_Param_3"].text = "Delay_Offset"
              vb.views["Chorus_Param_4"].active = false
              vb.views["label_Chorus_Param_4"].text = ""
              vb.views["Chorus_Param_5"].active = false
              vb.views["label_Chorus_Param_5"].text = ""
              vb.views["Chorus_Param_6"].active = true
              vb.views["label_Chorus_Param_6"].text = "EQ_Low_Freq."
              vb.views["Chorus_Param_7"].active = true
              vb.views["label_Chorus_Param_7"].text = "EQ_Low_Gain"
              vb.views["Chorus_Param_8"].active = true
              vb.views["label_Chorus_Param_8"].text = "EQ_High_Freq."
              vb.views["Chorus_Param_9"].active = true
              vb.views["label_Chorus_Param_9"].text = "EQ_High_Gain"

              vb.views["Chorus_Param_11"].active = true
              vb.views["label_Chorus_Param_11"].text = "EQ_Mid_Freq"
              vb.views["Chorus_Param_12"].active = true
              vb.views["label_Chorus_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Chorus_Param_13"].active = true
              vb.views["label_Chorus_Param_13"].text = "EQ_Mid_Width"
              vb.views["Chorus_Param_14"].active = false
              vb.views["label_Chorus_Param_14"].text = ""
              vb.views["Chorus_Param_15"].active = false
              vb.views["label_Chorus_Param_15"].text = ""
              vb.views["Chorus_Param_16"].active = false
              vb.views["label_Chorus_Param_16"].text = ""
   
            end
        end
      
  },
  Parameter {
    id = "Chorus_Param_1",
    name = "LFO_Freq.",
    number = 0,
    max_value = 127,
    display_min_value = 0,
    display_max_value = 397,
  },
  Parameter {
    id = "Chorus_Param_2",
    name = "LFO_Depth",
    number = 35,
  },
  Parameter {
    id = "Chorus_Param_3",
    name = "Feedback_Level",
    number = 36,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
  Parameter {
    id = "Chorus_Param_4",
    name = "Delay_Offset",
    number = 37,
    display_min_value = 0,
    display_max_value = 50,
  },
  Parameter {
    id = "Chorus_Param_5",
    name = "X",
    number = 38,
  },
  Parameter {
    id = "Chorus_Param_6",
    name = "EQ_Low_Freq.",
    number = 39,
    min_value = 4,
    max_value = 40,
    display_min_value = 32,
    display_max_value = 2000,
  },
  Parameter {
    id = "Chorus_Param_7",
    name = "EQ_Low_Gain",
    number = 40,
    min_value = 52,
    max_value = 76,
    default_value = 64,
    display_min_value = -12,
    display_max_value = 12,
  },
  Parameter {
    id = "Chorus_Param_8",
    name = "EQ_High_Freq.",
    number = 41,
    min_value = 28,
    max_value = 58,
    display_min_value = 500,
    display_max_value = 16000,
  },
  Parameter {
    id = "Chorus_Param_9",
    name = "EQ_High_Gain",
    number = 42,
    min_value = 52,
    max_value = 76,
    default_value = 64,
    display_min_value = -12,
    display_max_value = 12,
  },

  Parameter {
    id = "Chorus_Param_11",
    name = "EQ_Mid_Freq.",
    number = 48,
    min_value = 14,
    max_value = 54,
    display_min_value = 100,
    display_max_value = 10100,
  },
  Parameter {
    id = "Chorus_Param_12",
    name = "EQ_Mid_Gain",
    number = 49,
    min_value = 52,
    max_value = 76,
    default_value = 64,
    display_min_value = -12,
    display_max_value = 12,
  },
  Parameter {
    id = "Chorus_Param_13",
    name = "EQ_Mid_Width",
    number = 50,
    min_value = 1,
    max_value = 120,
  },
  Parameter {
    id = "Chorus_Param_14",
    name = "LFO_Phase_Diff",
    number = 51,
    min_value = 4,
    max_value = 124,
    default_value = 64,
    display_min_value = -180,
    display_max_value = 180,
  },
  Parameter {
    id = "Chorus_Param_15",
    name = "Input_Mode",
    number = 52,
    default_value = 2,
    items = {"Mono","Stereo"},
    item_values = {0,1},
  },
  Parameter {
    id = "Chorus_Param_16",
    name = "X",
    number = 53,
  },
}


local group_chorus_return = Group {
  name = "CHORUS RETURN  (chorus level for whole parts)",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  
  Parameter {
    id = "Chorus_RETURN",
    name = "Chorus_RETURN",
    number = 44,
    default_value = 64,
  },
  Parameter {
    id = "Chorus_PAN",
    name = "Chorus_PAN",
    number = 45,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
  Parameter {
    id = "SEND_Chorus_to_Reverb",
    name = "SEND_to_Reverb",
    number = 46,
  },
}






--============================ VARIATION =================================--

local group_variation = Group {
  name = "VARIATION",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "xx", 0xF7},

  
  Parameter {
    id = "Effect_Type",
    name = "Effect_Type",
    number = 64,
    items = {"NO EFFECT",
             "HALL 1","HALL 2","HALL 3","HALL 4","HALL 5","HALL M","HALL L",
             "ROOM 1","ROOM 2","ROOM 3","ROOM 4","ROOM 5","ROOM 6","ROOM 7",
             "ROOM S","ROOM M","ROOM L","STAGE 1","STAGE 2","STAGE 3","STAGE 4",
             "PLATE 1","PLATE 2","PLATE 3","GM PLATE",
             "WHITE ROOM","TUNNEL","CANYON","BASEMENT",
             "DELAY LCR 1","DELAY LCR 2","DELAY LR","ECHO",
             "CROSS DELAY","TEMPO DELAY","TEMPO ECHO","TEMPO CROSS",
             "KARAOKE 1","KARAOKE 2","KARAOKE 3","EARLY REF 1","EARLY REF 2",
             "GATE REVERB","REVERSE GATE",
             "CHORUS 1","CHORUS 2","CHORUS 3","CHORUS 4","CHORUS 5","CHORUS 6",
             "CHORUS 7","CHORUS 8","GM CHORUS 1","GM CHORUS 2","GM CHORUS 3","GM CHORUS 4",
             "FB CHORUS","CELESTE 1","CELESTE 2",
             "SYMPHONIC 1","SYMPHONIC 2","ENSEMBLE DETUNE",
             "FLANGER 1","FLANGER 2","FLANGER 3","FLANGER 4","FLANGER 5","GM FLANGER","TEMPO FLANGER",
             "PHASER 1","PHASER 2","EP PHASER 2","EP PHASER 3","TEMPO PHASER",
             "DIST HEAVY","STEREO DIST","COMP + DIST 1","COMP + DIST 2",
             "OVERDRIVE","STEREO OVERDRIVE","DIST HARD 1","DIST HARD 2",
             "DIST SOFT 1","DIST SOFT 2","STEREO DIST HARD","STEREO DIST SOFT",
             "VINTAGE DIST HARD","VINTAGE DIST SOFT","AMP SIM 1","AMP SIM 2",
             "STEREO AMP SIM 1","STEREO AMP SIM 2","STEREO AMP SIM 3","STEREO AMP SIM 4",
             "STEREO AMP SIM 5","STEREO AMP SIM 6","DIST + DELAY 1","DIST + DELAY 2",
             "OVERDRIVE + DELAY 1","OVERDRIVE + DELAY 2",
             "COMP + DIST + DELAY 1","COMP + DIST + DELAY 2",
             "COMP + OVERDRIVE + DELAY 1","COMP + OVERDRIVE + DELAY 2",
             "V_DIST HARD + DELAY","V_DIST SOFT + DELAY","DIST + TEMPO DELAY","OVERDRIVE + TEMPO DELAY",
             "COMP + DIST + TEMPO DELAY","COMP + OVERDRIVE + TEMPO DELAY 1","COMP + OVERDRIVE + TEMPO DELAY 2",
             "COMP + OVERDRIVE + TEMPO DELAY 3","COMP + OVERDRIVE + TEMPO DELAY 4",
             "COMP + OVERDRIVE + TEMPO DELAY 5","COMP + OVERDRIVE + TEMPO DELAY 6",
             "V_DIST HARD + TEMPO DELAY","V_DIST SOFT + TEMPO DELAY",
             "PITCH CHANGE 1","PITCH CHANGE 2","PITCH CHANGE 3","AUTO WAH 1","AUTO WAH 2",
             "AUTO WAH + DIST 1","AUTO WAH + DIST 2","AUTO WAH + OVERDRIVE 1","AUTO WAH + OVERDRIVE 2",
             "TOUCH WAH 1","TOUCH WAH 2","TOUCH WAH + DIST 1","TOUCH WAH + DIST 2",
             "TOUCH WAH + OVERDRIVE 1","TOUCH WAH + OVERDRIVE 2","CLAVI TOUCH WAH","EP TOUCH WAH",
             "WAH + DIST + DELAY 1","WAH + DIST + DELAY 2","WAH + DIST + TEMPO DELAY",
             "WAH + OVERDRIVE + DELAY 1","WAH + OVERDRIVE + DELAY 2",
             "WAH + OVERDRIVE + TEMPO DELAY 1","WAH + OVERDRIVE + TEMPO DELAY 2","MULTIBAND COMP",
             "COMPRESSOR","NOISE GATE","ROTARY SPEAKER 1","ROTARY SPEAKER 2","ROTARY SPEAKER 3",
             "ROTARY SPEAKER 4","ROTARY SPEAKER 5","ROTARY SPEAKER 6","ROTARY SPEAKER 7",
             "2WAY ROTARY SPEAKER","DIST + ROTARY SPEAKER","DIST + 2WAY ROTARY SPEAKER",
             "OVERDRIVE + ROTARY SPEAKER","OVERDRIVE + 2WAY ROTARY SPEAKER",
             "AMP SIM + ROTARY SPEAKER","AMP SIM + 2WAY ROTARY SPEAKER",
             "DUAL ROTOR SPEAKER 1","DUAL ROTOR SPEAKER 2","TREMOLO 1","TREMOLO 2","TREMOLO 3",
             "EP TREMOLO","GUITAR TREMOLO 1","GUITAR TREMOLO 2","AUTO PAN 1","AUTO PAN 2",
             "EP AUTO PAN","AUTO PAN 3","EQ DISCO","EQ TELEPHONE",
             "2 BAND EQ (STEREO)","3 BAND EQ (MONO)","HARMONIC ENHANCER 1","HARMONIC ENHANCER 2",
             "STEREO 3 BAND EQ","VOICE CANCEL","AMBIENCE","TALKING MODULATION","ISOLATOR",
             "THRU"},
    item_values = {0,
                  128,144,145,146,129,134,135,
                  272,273,274,275,256,257,258,
                  261,262,263,400,401,384,385,
                  528,529,512,519,
                  2048,2176,2304,2432,
                  656,640,768,896,
                  1024,2688,2696,2816,
                  2560,2561,2562,1152,1153,
                  1280,1408,
                  8465,8456,8464,8449,8322,8320,
                  8321,8328,8323,8324,8325,8326,
                  8327,8448,8450,
                  8720,8704,11136,
                  8584,8592,8593,8577,8576,8583,13696,
                  9216,9224,9234,9232,13824,
                  9344,9352,9360,9345,
                  9472,9480,9616,9622,
                  9617,9623,9618,9619,
                  12544,12546,9600,9601,
                  9620,9621,9608,9624,
                  9625,9626,12176,12160,
                  12177,12161,
                  12304,12288,
                  12305,12289,
                  12545,12547,12800,12801,
                  12928,12929,12944,
                  12945,12946,
                  12947,12948,
                  13184,13185,
                  10256,10240,10241,10000,9984,
                  10001,9985,10002,9986,
                  10496,10504,10512,10497,
                  10513,10498,10514,10515,
                  12432,12416,13056,
                  12433,12417,
                  13057,13072,13440,
                  10624,10752,8848,9105,9106,
                  8977,8466,8832,9110,
                  11008,8833,11009,
                  8834,11010,
                  8835,11011,
                  12672,12673,8976,9107,8960,
                  8978,9108,8979,9104,9088,
                  9109,9089,9744,9745,
                  9856,9728,10384,10368,
                  9746,10880,11264,11904,14720,
                  8192
                  },
    value_callback = function(parameter,midi_value)
          local vb = parameter.synth_definition.view_builder

            if parameter:value() == 0 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Hall 1,2,3,4,5, Hall M,L, Room 1,2,3,4,5,6,7, Room S,M,L, Stage 1,2,3,4, Plate 1,2,3, GM Plate
            elseif parameter:value() >= 128 and parameter:value() <= 529 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Reverb_Time"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Diffusion (0-10)"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Initial_Delay"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "HPF_Cutoff"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "LPF_Cutoff"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Rev_Delay"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Density (0-4)"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "Early/Rev Balance"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "High_Damp"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Feedback_Level"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- White Room, Tunnel, Canyon, Basement
            elseif parameter:value() >= 2048 and parameter:value() <= 2432 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Reverb_Time"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Diffusion (0-10)"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Initial_Delay"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "HPF_Cutoff"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "LPF_Cutoff"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Width"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "Height"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "Depth"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "Wall_Vary"
              
              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Rev_Delay"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Density (0-4)"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "Early/Rev Balance"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "High_Damp"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Feedback_Level"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""
              
-- Delay LCR 1,2
            elseif parameter:value() == 656 or parameter:value() == 640 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Feedback_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Center_Level"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "High_Damp (1-10)"
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "EQ_High_Freq."
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "EQ_High_Gain"
              
              vb.views["Variation_Param_1_7430"].active = true
              vb.views["label_Variation_Param_1_7430"].text = "L_Delay"
              vb.views["Variation_Param_2_7430"].active = true
              vb.views["label_Variation_Param_2_7430"].text = "R_Delay"
              vb.views["Variation_Param_3_7430"].active = true
              vb.views["label_Variation_Param_3_7430"].text = "C_Delay"
              vb.views["Variation_Param_4_7430"].active = true
              vb.views["label_Variation_Param_4_7430"].text = "Feedback_Delay"
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Delay LR            
            elseif parameter:value() == 768 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Feedback_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "High_Damp (1-10)"
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "EQ_High_Freq."
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "EQ_High_Gain"
              
              vb.views["Variation_Param_1_7430"].active = true
              vb.views["label_Variation_Param_1_7430"].text = "L_Delay"
              vb.views["Variation_Param_2_7430"].active = true
              vb.views["label_Variation_Param_2_7430"].text = "R_Delay"
              vb.views["Variation_Param_3_7430"].active = true
              vb.views["label_Variation_Param_3_7430"].text = "Feedback_Delay_1"
              vb.views["Variation_Param_4_7430"].active = true
              vb.views["label_Variation_Param_4_7430"].text = "Feedback_Delay_2"
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""
              
-- Echo            
            elseif parameter:value() == 896 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "L_Feedback_Level"
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "R_Feedback_Level"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "High_Damp (1-10)"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "Delay_2_Level"
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "EQ_High_Freq."
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "EQ_High_Gain"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = true
              vb.views["label_Variation_Param_1_3715"].text = "L_Delay_1"
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = true
              vb.views["label_Variation_Param_3_3715"].text = "R_Delay_1"
              vb.views["Variation_Param_6_3715"].active = true
              vb.views["label_Variation_Param_6_3715"].text = "L_Delay_2"
              vb.views["Variation_Param_7_3715"].active = true
              vb.views["label_Variation_Param_7_3715"].text = "R_Delay_2"
              
-- Cross Delay            
            elseif parameter:value() == 1024 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Feedback_Level"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Input_Select (0-2)"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "High_Damp (1-10)"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "EQ_High_Freq."
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "EQ_High_Gain"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = true
              vb.views["label_Variation_Param_1_3715"].text = "L-->R_Delay"
              vb.views["Variation_Param_2_3715"].active = true
              vb.views["label_Variation_Param_2_3715"].text = "R-->L_Delay"
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Tempo Delay, Tempo Echo            
            elseif parameter:value() == 2688 or parameter:value() == 2696 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Delay_Time (0-19)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Feedback_Level"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "FB_High_Damp"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "L/R_Diffusion"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Lag"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "EQ_High_Freq."
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "EQ_High_Gain"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Tempo Cross           
            elseif parameter:value() == 2816 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Dly_Time L>R (0-19)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Dly_Time R>L (0-19)"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Feedback_Level"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Input_Select (0-2)"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "FB_High_Damp"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Lag"
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "EQ_High_Freq."
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "EQ_High_Gain"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Karaoke 1,2,3          
            elseif parameter:value() >= 2560 and parameter:value() <= 2562 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Delay_Time"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Feedback_Level"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "HPF_Cutoff"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "LPF_Cutoff"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Density (0-3)"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = "."
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = "."
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""
              
-- Early Ref 1,2            
            elseif parameter:value() == 1152 or parameter:value() == 1153 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Type (0-5)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Room_Size"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Diffusion (0-10)"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Initial_Delay"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Feedback_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "HPF_Cutoff"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "LPF_Cutoff"
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Liveness (0-10)"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Density (0-3)"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "High_Damp (1-10)"
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""
              
-- Gate Reverb, Reverse Gate            
            elseif parameter:value() == 1280 or parameter:value() == 1408 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Type (0-1)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Room_Size"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Diffusion (0-10)"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Initial_Delay"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Feedback_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "HPF_Cutoff"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "LPF_Cutoff"
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Liveness (0-10)"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Density (0-3)"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "High_Damp (1-10)"
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""
              
-- Chorus 1-8, GM Chorus 1-4, FB Chorus, Celeste 1,2, Rotary Speaker 5            
            elseif parameter:value() >= 8320 and parameter:value() <= 8466 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Feedback_Level"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Delay_Offset"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "EQ_Mid_Freq."
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Width"
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Input_Mode (0-1)"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Synphonic 1,2
            elseif parameter:value() == 8720 or parameter:value() == 8704 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Delay_Offset"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "EQ_Mid_Freq."
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Width"
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Ensemble Detune
            elseif parameter:value() == 11136 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Detune"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "L_Init_Delay"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "R_Init_Delay"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_High_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_High_Gain"
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""
              
-- Flanger 1-5, GM Flanger
            elseif parameter:value() >= 8576 and parameter:value() <= 8593 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Feedback_Level"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Delay_Offset"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "EQ_Mid_Freq."
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Width"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "LFO_Phase_Diff."
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""
              
-- Tempo Flanger
            elseif parameter:value() == 13696 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Feedback_Level"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Delay_Offset"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "LFO_Phase_Reset"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "EQ_Mid_Freq."
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Width"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "LFO_Phase_Diff."
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Phaser 1, EP Phaser 2,3
            elseif parameter:value() == 9216 or parameter:value() == 9234 or parameter:value() == 9232 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Phase_Shift_Offset"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Feedback_Level"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Stage (4-22)"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Diffusion (0-1)"
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = "."
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Phaser 2            
            elseif parameter:value() == 9224 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Phase_Shift_Offset"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Feedback_Level"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Stage (3-11)"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "LFO_Phase_Diff."
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Tempo Phaser
            elseif parameter:value() == 13824 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Phase_Shift_Offset"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Feedback_Level"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "LFO_Phase_Reset"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Stage (3-11)"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "LFO_Phase_Diff."
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Distortion Heavy, Overdrive            
            elseif parameter:value() == 9344 or parameter:value() == 9472 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Drive"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "LPF_Cutoff"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Output_Level"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Mid_Freq."
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_Mid_Width"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Edge (Clip Curve)"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Stereo Distortion, Stereo Overdrive            
            elseif parameter:value() == 9352 or parameter:value() == 9480 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Drive"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "LPF_Cutoff"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Output_Level"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Mid_Freq."
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_Mid_Width"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Edge (Clip Curve)"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Compressor + Distortion 1,2           
            elseif parameter:value() == 9345 or parameter:value() == 9360 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Drive"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "LPF_Cutoff"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Output_Level"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Mid_Freq."
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_Mid_Width"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Edge (Clip Curve)"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Attack"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "Release"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "Threshold"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Ratio (0-7)"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Amp Sim 1, Dist Hard 1,2, Dist Soft 1,2, Stereo Amp Sim 1-6, Stereo Dist Hard, Stereo Dist Soft,           
            elseif parameter:value() >= 9616 and parameter:value() <= 9626 or 
            parameter:value() == 9600 or parameter:value() == 9608 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Drive"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "AMP_Type (1-3)"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "LPF_Cutoff"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Output_Level"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Edge (Clip Curve)"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Amp Sim 2           
            elseif parameter:value() == 9601 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Drive"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "AMP_Type (1-6)"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "LPF_Cutoff"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Output_Level"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Edge (Clip Curve)"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Vintage Dist Hard, Vintage Dist Soft           
            elseif parameter:value() == 12544 or parameter:value() == 12546 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Overdrive"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Device (0-4)"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Speaker (0-5)"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Presence"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Output_Level"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Distortion + Delay 1,2, Overdrive + Delay 1,2,          
            elseif parameter:value() >= 12160 and parameter:value() <= 12177 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Dly_Feedback_Level"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Delay_Mix"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Dist_Drive"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "Dist_Output_Level"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "Dist_EQ_Low_Gain"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "Dist_EQ_Mid_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = true
              vb.views["label_Variation_Param_1_7430"].text = "L_Delay_Time"
              vb.views["Variation_Param_2_7430"].active = true
              vb.views["label_Variation_Param_2_7430"].text = "R_Delay_Time"
              vb.views["Variation_Param_3_7430"].active = true
              vb.views["label_Variation_Param_3_7430"].text = "Dly_Feedback_Time"
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Comp + Distortion + Delay 1,2, Comp + Overdrive + Delay 1,2,          
            elseif parameter:value() >= 12288 and parameter:value() <= 12305 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Dly_Feedback_Level"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Delay_Mix"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Dist_Drive"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Dist_Output_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Dist_EQ_Low_Gain"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "Dist_EQ_Mid_Gain"
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Comp_Attack"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Comp_Release"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "Comp_Threshold"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "Comp_Ratio (0-7)"
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = true
              vb.views["label_Variation_Param_1_7430"].text = "Delay_Time"
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Vintage Dist Hard + Delay, Vintage Dist Soft + Delay,          
            elseif parameter:value() == 12545 or parameter:value() == 12547 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Overdrive"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Device (0-4)"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Speaker (0-5)"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Presence"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Output_Level"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "Dly_Feedback_Level"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Delay_Mix"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "FB_High_Damp"
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = true
              vb.views["label_Variation_Param_6_7430"].text = "Delay_Time_L"
              vb.views["Variation_Param_7_7430"].active = true
              vb.views["label_Variation_Param_7_7430"].text = "Delay_Time_R"
              vb.views["Variation_Param_8_7430"].active = true
              vb.views["label_Variation_Param_8_7430"].text = "Dly_Feedback_Time"
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Distortion + Tempo Delay, Overdrive + Tempo Delay,          
            elseif parameter:value() == 12800 or parameter:value() == 12801 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Delay_Time (0-19)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Dly_Feedback_Level"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Delay_Mix"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Dist_Drive"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Dist_Output_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Dist_EQ_Low_Gain"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "Dist_EQ_Mid_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "L/R Diffusion"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "Lag"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Comp + Distortion + Tempo Delay, Comp + Overdrive + Tempo Delay 1-6,          
            elseif parameter:value() >= 12928 and parameter:value() <= 12948 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Delay_Time (0-19)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Dly_Feedback_Level"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Delay_Mix"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Dist_Drive"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Dist_Output_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Dist_EQ_Low_Gain"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "Dist_EQ_Mid_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "L/R Diffusion"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "Lag"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Comp_Attack"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Comp_Release"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "Comp_Threshold"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "Comp_Ratio (0-7)"
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Vintage Dist Hard + Tempo Delay, Vintage Dist Soft + Tempo Delay,          
            elseif parameter:value() == 13184 or parameter:value() == 13185 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Overdrive"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Device (0-4)"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Speaker (0-5)"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Presence"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Output_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Delay_Time"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "Dly_Feedback_Level"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "L/R Diffusion"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "Lag"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Delay_Mix"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "FB_High_Damp"
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Pitch Change 1,2,3,          
            elseif parameter:value() >= 10240 and parameter:value() <= 10256 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Pitch (40-88)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Initial_Delay"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Fine_1"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Fine_2"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Feedback_Level"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Pan_1"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Output_Level_1"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "Pan_2"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "Output_Level_2"
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Auto Wah 1,2,          
            elseif parameter:value() == 10000 or parameter:value() == 9984 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Cutoff_Freq_Offset"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Resonance"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Drive"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Auto Wah + Distortion 1,2,  Auto Wah + Overdrive 1,2,          
            elseif parameter:value() == 10001 or parameter:value() == 9985 or
                   parameter:value() == 10002 or parameter:value() == 9986 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Cutoff_Freq_Offset"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Resonance"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Drive"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Low_Gain (Dist)"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Gain (Dist)"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "LPF_Cutoff"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Output_Level"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Touch Wah 1          
            elseif parameter:value() == 10496 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Sensitivity."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Cutoff_Freq_Offset"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Resonance"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Drive"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Touch Wah 2, Clavi Touch Wah, EP Touch Wah,          
            elseif parameter:value() == 10504 or parameter:value() == 10514 or parameter:value() == 10515 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Sensitivity."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Cutoff_Freq_Offset"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Resonance"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Drive"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Low_Gain (Dist)"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Gain (Dist)"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "LPF_Cutoff"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Output_Level"
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "Release"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Touch Wah + Distortion 1,2,        
            elseif parameter:value() == 10512 or parameter:value() == 10497 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Sensitivity."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Cutoff_Freq_Offset"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Resonance"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Drive"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Touch Wah + Overdrive 1,2,         
            elseif parameter:value() == 10513 or parameter:value() == 10498 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Sensitivity."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Cutoff_Freq_Offset"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Resonance"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Drive"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Low_Gain (Dist)"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Gain (Dist)"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "LPF_Cutoff"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Output_Level"
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "Release"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Wah + Dist + Delay 1,2,  Wah + Overdrive + Delay 1,2,       
            elseif parameter:value() >= 12416 and parameter:value() <= 12433 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Delay_Time"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Dly_Feedback_Level"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Delay_Mix"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Dist_Drive"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Dist_Output_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Dist_EQ_Low_Gain"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "Dist_EQ_Mid_Gain"
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Wah_Sensitivity"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Wah_Cutoff_Freq."
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "Wah_Resonance"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "Wah_Release"
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Wah + Dist + Tempo Delay,  Wah + Overdrive + Tempo Delay 1,2,       
            elseif parameter:value() >= 13056 and parameter:value() <= 13072 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Delay_Time (0-19)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Dly_Feedback_Level"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Delay_Mix"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Dist_Drive"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Dist_Output_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Dist_EQ_Low_Gain"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "Dist_EQ_Mid_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "L/R Diffusion"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "Lag"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Wah_Sensitivity"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Wah_Cutoff_Freq."
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "Wah_Resonance"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "Wah_Release"
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Multiband Comp   
            elseif parameter:value() == 13440 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Type (0-12)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Threshold_Offset"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Low_Gain_Offset"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Mid_Gain_Offset"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "High_Gain_Offset"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Compressor   
            elseif parameter:value() == 10624 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Attack (0-19)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Release (0-15)"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Threshold"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Ratio (0-7)"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Output_Level"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Noise Gate   
            elseif parameter:value() == 10752 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Attack (0-19)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Release (0-15)"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Threshold"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Output_Level"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""
              
-- Rotary Speaker 1,6,           
            elseif parameter:value() == 8848 or parameter:value() == 8832 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "EQ_Mid_Freq"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Width"
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- 2Way Rotary Speaker,           
            elseif parameter:value() == 11008 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Rotor_Speed"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Drive_Low"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Drive_High"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Low/High Balance"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Crossover_Freq"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Mic L-R Angle"
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Distortion + Rotary Speaker, Overdrive + Rotary Speaker,         
            elseif parameter:value() == 8833 or parameter:value() == 8834 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "Drive"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "LPF_Cutoff"
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "Output_Level"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Distortion + 2Way Rotary Speaker, Overdrive + 2Way Rotary Speaker,         
            elseif parameter:value() == 11009 or parameter:value() == 11010 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Rotor_Speed"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Drive_Low"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Drive_High"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Low/High Balance"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Crossover_Freq"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Mic L-R Angle"
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "Drive"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "LPF_Cutoff"
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "Output_Level"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Amp Simulator + Rotary Speaker,         
            elseif parameter:value() == 8835 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Amp_Type (1-3)"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "Drive"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "LPF_Cutoff"
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "Output_Level"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Amp Simulator + 2Way Rotary Speaker,         
            elseif parameter:value() == 11011 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Rotor_Speed"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Drive_Low"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Drive_High"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Low/High Balance"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Crossover_Freq"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Mic L-R Angle"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "AMP_Type (1-3)"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "Drive"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "LPF_Cutoff"
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "Output_Level"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Dual Rotor Speaker 1,2,         
            elseif parameter:value() == 12672 or parameter:value() == 12673 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Rotor_Speed_Slow"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Horn_Speed_Slow"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Rotor_Speed_Fast"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Horn_Speed_Fast"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Slow-Fast Time of R"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Slow-Fast Time of H"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "Drive_Low"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "Drive_High"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "Low/High Balance"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_High_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_High_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Mic L-R Angle"
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "Speed_Control (0-1)"
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Tremolo 1,3, EP Tremolo, Guitar Tremolo 2, Rotary Speaker 4,         
            elseif parameter:value() >= 8960 and parameter:value() <= 8979 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "AM_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "PM_Depth"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "EQ_Mid_Freq"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Width"
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "LFO_Phase_Diff."
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Input_Mode (0-1)"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Auto Pan 1,2,  EP Auto Pan, Tremolo 2, Guitar Tremolo 1,  Rotary Speaker 2,3,7,         
            elseif parameter:value() >= 9104 and parameter:value() <= 9110 or parameter:value() == 9088 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "L/R Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "F/R Depth"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "PAN Direction (0-5)"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "EQ_Mid_Freq"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Width"
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Auto Pan 3,   
            elseif parameter:value() == 9089 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "L/R Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "F/R Depth"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "PAN Direction (0-5)"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "LFO_Wave (0-28)"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "EQ_Mid_Freq"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Mid_Width"
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Input_Mode (0-1)"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- 3Band EQ,  EQ Disco, EQ Telephone, Stereo 3Band EQ,   
            elseif parameter:value() >= 9728 and parameter:value() <= 9746 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "EQ_Mid_Freq."
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "EQ_Mid_Width"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "EQ_High_Gain"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_High_Freq."
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Input_Mode (0-1)"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- 2Band EQ,  
            elseif parameter:value() == 9856 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "EQ_High_Freq."
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "EQ_High_Gain"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Harmonic Enhancer 1,2,  
            elseif parameter:value() == 10384 or parameter:value() == 10368 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "HPF_Cutoff"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Drive"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Mix_Level"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Voice Cancel,  
            elseif parameter:value() == 10880 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Low_Adjust (0-26)"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "High_Adjust (0-26)"
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""

-- Ambience,  
            elseif parameter:value() == 11264 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Delay_Time"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Output_Phase (0-1)"
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""              

-- Talking Modulation,  
            elseif parameter:value() == 11904 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Vowel (0-4)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Move Speed"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Drive"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Output_Level"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""  

-- Isolator,  
            elseif parameter:value() == 14720 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "OFF/ON SW (0-1)"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Low_Level"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Mid_Level"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "High_Level"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Low_Mute (0-1)"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Mid_Mute (0-1)"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "High_Mute (0-1)"
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""
              
-- Turu            
            elseif parameter:value() == 8192 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Variation_Param_1_7430"].active = false
              vb.views["label_Variation_Param_1_7430"].text = ""
              vb.views["Variation_Param_2_7430"].active = false
              vb.views["label_Variation_Param_2_7430"].text = ""
              vb.views["Variation_Param_3_7430"].active = false
              vb.views["label_Variation_Param_3_7430"].text = ""
              vb.views["Variation_Param_4_7430"].active = false
              vb.views["label_Variation_Param_4_7430"].text = ""
              vb.views["Variation_Param_6_7430"].active = false
              vb.views["label_Variation_Param_6_7430"].text = ""
              vb.views["Variation_Param_7_7430"].active = false
              vb.views["label_Variation_Param_7_7430"].text = ""
              vb.views["Variation_Param_8_7430"].active = false
              vb.views["label_Variation_Param_8_7430"].text = ""
              
              vb.views["Variation_Param_1_3715"].active = false
              vb.views["label_Variation_Param_1_3715"].text = ""
              vb.views["Variation_Param_2_3715"].active = false
              vb.views["label_Variation_Param_2_3715"].text = ""
              vb.views["Variation_Param_3_3715"].active = false
              vb.views["label_Variation_Param_3_3715"].text = ""
              vb.views["Variation_Param_6_3715"].active = false
              vb.views["label_Variation_Param_6_3715"].text = ""
              vb.views["Variation_Param_7_3715"].active = false
              vb.views["label_Variation_Param_7_3715"].text = ""
              
            end
        end
  },
  Parameter {
    id = "Variation_Param_1",
    name = "Variation_Param_1",
    number = 66,
  },
  Parameter {
    id = "Variation_Param_2",
    name = "Variation_Param_2",
    number = 68,
  },
  Parameter {
    id = "Variation_Param_3",
    name = "Variation_Param_3",
    number = 70,
  },
  Parameter {
    id = "Variation_Param_4",
    name = "Variation_Param_4",
    number = 72,
  },
  Parameter {
    id = "Variation_Param_5",
    name = "Variation_Param_5",
    number = 74,
  },
  Parameter {
    id = "Variation_Param_6",
    name = "Variation_Param_6",
    number = 76,
  },
  Parameter {
    id = "Variation_Param_7",
    name = "Variation_Param_7",
    number = 78,
  },
  Parameter {
    id = "Variation_Param_8",
    name = "Variation_Param_8",
    number = 80,
  },
  Parameter {
    id = "Variation_Param_9",
    name = "Variation_Param_9",
    number = 82,
  },

  Parameter {
    id = "Variation_Param_11",
    name = "Variation_Param_11",
    number = 112,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
  Parameter {
    id = "Variation_Param_12",
    name = "Variation_Param_12",
    number = 113,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
  Parameter {
    id = "Variation_Param_13",
    name = "Variation_Param_13",
    number = 114,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
  Parameter {
    id = "Variation_Param_14",
    name = "Variation_Param_14",
    number = 115,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
  Parameter {
    id = "Variation_Param_15",
    name = "Variation_Param_15",
    number = 116,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
  Parameter {
    id = "Variation_Param_16",
    name = "Variation_Param_16",
    number = 117,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
}



local group_variation_return = Group {
  name = "VARIATION RETURN",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  
  Parameter {
    id = "Connection_Mode",
    name = "Connection_Mode",
    number = 90,
    items = {"INSERTION","SEND-RETURN"},
    item_values = {0,1},
    default_value = 2,
    value_callback = function(parameter,midi_value)
          local vb = parameter.synth_definition.view_builder
            if parameter:value() == 0 then
              vb.views["Insertion_Channel"].active = true
              vb.views["label_Insertion_Channel"].text = "Insertion_Channel"
              vb.views["Variation_Param_10"].active = true
              vb.views["label_Variation_Param_10"].text = "Dry/Wet"
              vb.views["Variation_RETURN"].active = false
              vb.views["label_Variation_RETURN"].text = ""
              vb.views["Variation_PAN"].active = false
              vb.views["label_Variation_PAN"].text = ""
              vb.views["SEND_Variation_to_Reverb"].active = false
              vb.views["label_SEND_Variation_to_Reverb"].text = ""
              vb.views["SEND_Variation_to_Chorus"].active = false
              vb.views["label_SEND_Variation_to_Chorus"].text = ""
            elseif parameter:value() == 1 then
              vb.views["Insertion_Channel"].active = false
              vb.views["label_Insertion_Channel"].text = ""
              vb.views["Variation_Param_10"].active = false
              vb.views["label_Variation_Param_10"].text = ""
              vb.views["Variation_RETURN"].active = true
              vb.views["label_Variation_RETURN"].text = "Variation_RETURN"
              vb.views["Variation_PAN"].active = true
              vb.views["label_Variation_PAN"].text = "Variation_PAN"
              vb.views["SEND_Variation_to_Reverb"].active = true
              vb.views["label_SEND_Variation_to_Reverb"].text = "SEND_to_Reverb"
              vb.views["SEND_Variation_to_Chorus"].active = true
              vb.views["label_SEND_Variation_to_Chorus"].text = "SEND_to_Chorus"
            end
          end        
  },
  Parameter {
    id = "Insertion_Channel",
    name = "Insertion_Channel",
    number = 91,
    items = {"1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","OFF"},
    item_values = {0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,127},
    default_value = 17,
  },
    Parameter {
    id = "Variation_Param_10",
    name = "Dry/Wet",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "xx", 0xF7},
    number = 84,
    min_value = 1,
    max_value = 127,
  },
  Parameter {
    id = "Variation_RETURN",
    name = "Variation_RETURN",
    number = 86,
    default_value = 64,
  },
  Parameter {
    id = "Variation_PAN",
    name = "Variation_PAN",
    number = 87,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
  Parameter {
    id = "SEND_Variation_to_Reverb",
    name = "SEND_to_Reverb",
    number = 88,
  },
  Parameter {
    id = "SEND_Variation_to_Chorus",
    name = "SEND_to_Chorus",
    number = 89,
  },
}


local group_variation_extend = Group {
  name = "some DELAY PARAMs (irregular max_values)",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "xx", 0xF7},

  Parameter {
    id = "Variation_Param_1_7430",
    name = "Variation_Param_1_7430",
    number = 66,
    min_value = 1,
    max_value = 7430,
  },
  Parameter {
    id = "Variation_Param_2_7430",
    name = "Variation_Param_2_7430",
    number = 68,
    min_value = 1,
    max_value = 7430,
  },
  Parameter {
    id = "Variation_Param_3_7430",
    name = "Variation_Param_3_7430",
    number = 70,
    min_value = 1,
    max_value = 7430,
  },
  Parameter {
    id = "Variation_Param_4_7430",
    name = "Variation_Param_4_7430",
    number = 72,
    min_value = 1,
    max_value = 7430,
  },
  Parameter {
    id = "Variation_Param_6_7430",
    name = "Variation_Param_6_7430",
    number = 76,
    min_value = 1,
    max_value = 7430,
  },
  Parameter {
    id = "Variation_Param_7_7430",
    name = "Variation_Param_7_7430",
    number = 78,
    min_value = 1,
    max_value = 7430,
  },
  Parameter {
    id = "Variation_Param_8_7430",
    name = "Variation_Param_8_7430",
    number = 80,
    min_value = 1,
    max_value = 7430,
  },
  Parameter {
    id = "Variation_Param_1_3715",
    name = "Variation_Param_1_3715",
    number = 66,
    min_value = 1,
    max_value = 3715,
  },
  Parameter {
    id = "Variation_Param_2_3715",
    name = "Variation_Param_2_3715",
    number = 68,
    min_value = 1,
    max_value = 3715,
  },
  Parameter {
    id = "Variation_Param_3_3715",
    name = "Variation_Param_3_3715",
    number = 70,
    min_value = 1,
    max_value = 3715,
  },
  Parameter {
    id = "Variation_Param_6_3715",
    name = "Variation_Param_6_3715",
    number = 76,
    min_value = 1,
    max_value = 3715,
  },
  Parameter {
    id = "Variation_Param_7_3715",
    name = "Variation_Param_7_3715",
    number = 78,
    min_value = 1,
    max_value = 3715,
  },
}


local group_comment_variation = Group {
  name = "VARIATION の各パラメータの有効範囲は、画面上では \n 適切に表示されません。もし実際の有効範囲が（0～3）  \n や（52～76）であっても、それらは常に（0～127） \n  と表示されるだけです。\n\n ですから、お使いの XG 音源のマニュアルの \n 「エフェクト・パラメーター・リスト」を参照して \n スライダーの有効範囲を確認してください。"


--  name = "Each actual range of VARIATION parameter \n is not displayed properly. Always it just displays \n (0~127), even if the effective range is only \n (0~3) or (52~76), for example. \n\n So please refer the EFFECT PARAMETER LIST \n in the YAMAHA's manual of your XG device \n to check the actual parameter ranges.",

}






--============================ MASTER EQ =================================--

local group_master_eq = Group {

  name = "MASTER EQ",
  
  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x40, "nn", "vv", 0xF7},
  
  Parameter {
    id = "EQ_Type",
    name = "EQ_Type",
    number = 0,
    gui_type = "dropdown",
    items = {"Flat","Jazz","Pops","Rock","Classic"},
    item_values = {0,1,2,3,4},
    default_value = 1,
    value_callback = function(parameter,midi_value)
          local vb = parameter.synth_definition.view_builder
            if parameter:value() >= 0 and parameter:value() <= 4 then
              vb.views["EQ_Dummy_1"].active = false
              vb.views["label_EQ_Dummy_1"].text = ""
              vb.views["EQ_Dummy_2"].active = false
              vb.views["label_EQ_Dummy_2"].text = ""
              vb.views["EQ_Dummy_3"].active = false
              vb.views["label_EQ_Dummy_3"].text = ""
              vb.views["EQ_Dummy_4"].active = false
              vb.views["label_EQ_Dummy_4"].text = ""
              vb.views["EQ_Dummy_5"].active = false
              vb.views["label_EQ_Dummy_5"].text = ""
            end
          end        
  },

  Parameter {
    id = "EQ_Dummy_1",
    name = "",
    number = 8,
    items = {"EQ 1"},
    item_values = {0}
  },
  Parameter {
    id = "EQ_Shape_1",
    name = "EQ_Shape_1",
    number = 4,
    items = {"Shelving","Peaking"},
    item_values = {0,1},
    default_value = 1,
  },
  Parameter {
    id = "EQ_Gain_1",
    name = "EQ_Gain_1",
    number = 1,
    min_value = 52,
    max_value = 76,
    default_value = 64,
    display_min_value = -12,
    display_max_value = 12,
  },
  Parameter {
    id = "EQ_Freq_1",
    name = "EQ_Freq_1",
    number = 2,
    min_value = 4,
    max_value = 40,
    default_value = 12,
    display_min_value = 32,
    display_max_value = 2000,
  },

  Parameter {
    id = "EQ_Q_1",
    name = "EQ_Q_1",
    number = 3,
    min_value = 1,
    max_value = 120,
    default_value = 7,
  },
  
  Parameter {
    id = "EQ_Dummy_2",
    name = "",
    number = 8,
    items = {"EQ 2"},
    item_values = {0}
  },
  Parameter {
    id = "EQ_Gain_2",
    name = "EQ_Gain_2",
    number = 5,
    min_value = 52,
    max_value = 76,
    default_value = 64,
    display_min_value = -12,
    display_max_value = 12,
  },
  Parameter {
    id = "EQ_Freq_2",
    name = "EQ_Freq_2",
    number = 6,
    min_value = 14,
    max_value = 54,
    default_value = 28,
    display_min_value = 100,
    display_max_value = 10000,
  },

  Parameter {
    id = "EQ_Q_2",
    name = "EQ_Q_2",
    number = 7,
    min_value = 1,
    max_value = 120,
    default_value = 7,
  },
  Parameter {
    id = "EQ_Dummy_3",
    name = "",
    number = 8,
    items = {"EQ 3"},
    item_values = {0}
  },
  Parameter {
    id = "EQ_Gain_3",
    name = "EQ_Gain_3",
    number = 9,
    min_value = 52,
    max_value = 76,
    default_value = 64,
    display_min_value = -12,
    display_max_value = 12,
  },
  Parameter {
    id = "EQ_Freq_3",
    name = "EQ_Freq_3",
    number = 10,
    min_value = 14,
    max_value = 54,
    default_value = 34,
    display_min_value = 100,
    display_max_value = 10000,
  },

  Parameter {
    id = "EQ_Q_3",
    name = "EQ_Q_3",
    number = 11,
    min_value = 1,
    max_value = 120,
    default_value = 7,
  },
  Parameter {
    id = "EQ_Dummy_4",
    name = "",
    number = 8,
    items = {"EQ 4"},
    item_values = {0}
  },
  Parameter {
    id = "EQ_Gain_4",
    name = "EQ_Gain_4",
    number = 13,
    min_value = 52,
    max_value = 76,
    default_value = 64,
    display_min_value = -12,
    display_max_value = 12,
  },
  Parameter {
    id = "EQ_Freq_4",
    name = "EQ_Freq_4",
    number = 14,
    min_value = 14,
    max_value = 54,
    default_value = 46,
    display_min_value = 100,
    display_max_value = 10000,
  },

  Parameter {
    id = "EQ_Q_4",
    name = "EQ_Q_4",
    number = 15,
    min_value = 1,
    max_value = 120,
    default_value = 7,
  },
  Parameter {
    id = "EQ_Dummy_5",
    name = "",
    number = 8,
    items = {"EQ 5"},
    item_values = {0}
  },
  Parameter {
    id = "EQ_Shape_5",
    name = "EQ_Shape_5",
    number = 20,
    items = {"Shelving","Peaking"},
    item_values = {0,1},
    default_value = 1,
  },
  Parameter {
    id = "EQ_Gain_5",
    name = "EQ_Gain_5",
    number = 17,
    min_value = 52,
    max_value = 76,
    default_value = 64,
    display_min_value = -12,
    display_max_value = 12,
  },
  Parameter {
    id = "EQ_Freq_5",
    name = "EQ_Freq_5",
    number = 18,
    min_value = 28,
    max_value = 58,
    default_value = 52,
    display_min_value = 500,
    display_max_value = 16000,
  },

  Parameter {
    id = "EQ_Q_5",
    name = "EQ_Q_5",
    number = 19,
    min_value = 1,
    max_value = 120,
    default_value = 7,
  },
}




--========================== GUI PANEL LAYOUT =============================--

return SynthDefinition {
  id = "yamaha_NSX-39", 
  name = "Yamaha NSX-39 (NSX-1)",
  author = "satobox",
  beta = false,
  delay_between_midi_messages = 10,
  content_height = 650,

  Section {
    name = "CH 1 MIKU",
    group_hardware,
    group_channel_1,
    group_send_ch1,
    group_nsx1_ch1,
    group_comment_ch1,
  },
  Section {
    name = "CH 2 / 3 / 4",
    group_channel_2,
    group_send_ch2,
    group_channel_3,
    group_send_ch3,
    group_channel_4,
    group_send_ch4,
  },
  Section {
    name = "CH 5 / 6 / 7",
    group_channel_5,
    group_send_ch5,
    group_channel_6,
    group_send_ch6,
    group_channel_7,
    group_send_ch7,
  },
  Section {
    name = "REV. / CHO.",
    group_reverb,
    group_reverb_return,
    group_chorus,
    group_chorus_return,
  },
  Section {
    name = "VARI. / EQ",
    group_variation,
    group_variation_return,
    group_variation_extend,
    group_comment_variation,
    group_master_eq,
  },
  Section {
    name = "DRUM",
    group_channel_10,
    group_send_ch10,
    group_comment_ch10,
  },

}


