
--============================ CH 1 =================================--

local group_channel_1 = Group {

  name = "CHANNEL 1",
  
  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x00, "nn", "vv", 0xF7},

  Parameter {
    id = "Program_Number_1",
    name = "Program_Number",
    number = 3,
    display_min_value = 1,
    display_max_value = 128,
  },
  Parameter {
    id = "Mono_Poly_Mode_1",
    name = "Mono_Poly_Mode",
    number = 5,
    items = {"MONO","POLY"},
    item_values = {0,1},
    default_value = 2,
  },
    Parameter {
    id = "Portamento_1",
    name = "Portamento",
    number = 103,
    items = {"OFF","ON"},
    item_values = {0,127},
  },
  Parameter {
    id = "Porta_Time_1",
    name = "Porta_Time",
    number = 104,
  },
  Parameter {
    id = "Volume_1",
    name = "Volume",
    number = 11,
    default_value = 100,
  },
  Parameter {
    id = "Pan_1",
    name = "Pan",
    number = 14,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Transpose_1",
    name = "Transpose",
    number = 8,
    min_value = 40,
    max_value = 88,
    display_min_value = -24,
    display_max_value = 24,
    default_value = 64,
  },
  Parameter {
    id = "Finetune_1",
    name = "Finetune",
    number = 9,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x00, "nn", "xx", 0xF7},
    min_value = 0,
    max_value = 2040,
    display_min_value = -128,
    display_max_value = 127,
    default_value = 1020,
  },
  Parameter {
    id = "Vibrate_Rate_1",
    name = "Vibrate_Rate",
    number = 21,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Depth_1",
    name = "Vibrate_Depth",
    number = 22,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Delay_1",
    name = "Vibrate_Delay",
    number = 23,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Cutoff_1",
    name = "Filter_Cutoff",
    number = 24,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_1",
    name = "Filter_Reso",
    number = 25,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Time_1",
    name = "EG_Attack_Time",
    number = 26,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay_Time_1",
    name = "EG_Decay_Time",
    number = 27,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Release_Time_1",
    name = "EG_Release_Time",
    number = 28,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },

  Parameter {
    id = "Pitch_Initial_Level_1",
    name = "Pitch_Initial_Level",
    number = 105,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Attack_Time_1",
    name = "Pitch_Attack_Time",
    number = 106,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Level_1",
    name = "Pitch_Release_Level",
    number = 107,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Time_1",
    name = "Pitch_Release_Time",
    number = 108,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}

local group_send_ch1 = Group {
  name = "SEND from CH1",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x00, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_1",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_1",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_1",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_1",
    name = "to_VARIATION",
    number = 20,
  },
}


--============================ CH 2 =================================--

local group_channel_2 = Group {

  name = "CHANNEL 2",
  
  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x01, "nn", "vv", 0xF7},

  Parameter {
    id = "Program_Number_2",
    name = "Program_Number",
    number = 3,
    display_min_value = 1,
    display_max_value = 128,
  },
  Parameter {
    id = "Mono_Poly_Mode_2",
    name = "Mono_Poly_Mode",
    number = 5,
    items = {"MONO","POLY"},
    item_values = {0,1},
    default_value = 2,
  },
  Parameter {
    id = "Portamento_2",
    name = "Portamento",
    number = 103,
    items = {"OFF","ON"},
    item_values = {0,127},
  },
  Parameter {
    id = "Porta_Time_2",
    name = "Porta_Time",
    number = 104,
  },
  Parameter {
    id = "Volume_2",
    name = "Volume",
    number = 11,
    default_value = 100,
  },
  Parameter {
    id = "Pan_2",
    name = "Pan",
    number = 14,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Transpose_2",
    name = "Transpose",
    number = 8,
    min_value = 40,
    max_value = 88,
    display_min_value = -24,
    display_max_value = 24,
    default_value = 64,
  },
  Parameter {
    id = "Finetune_2",
    name = "Finetune",
    number = 9,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x01, "nn", "xx", 0xF7},
    min_value = 0,
    max_value = 2040,
    display_min_value = -128,
    display_max_value = 127,
    default_value = 1020,
  },
  Parameter {
    id = "Vibrate_Rate_2",
    name = "Vibrate_Rate",
    number = 21,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Depth_2",
    name = "Vibrate_Depth",
    number = 22,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Delay_2",
    name = "Vibrate_Delay",
    number = 23,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Cutoff_2",
    name = "Filter_Cutoff",
    number = 24,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_2",
    name = "Filter_Reso",
    number = 25,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Time_2",
    name = "EG_Attack_Time",
    number = 26,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay_Time_2",
    name = "EG_Decay_Time",
    number = 27,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Release_Time_2",
    name = "EG_Release_Time",
    number = 28,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  
  Parameter {
    id = "Pitch_Initial_Level_2",
    name = "Pitch_Initial_Level",
    number = 105,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Attack_Time_2",
    name = "Pitch_Attack_Time",
    number = 106,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Level_2",
    name = "Pitch_Release_Level",
    number = 107,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Time_2",
    name = "Pitch_Release_Time",
    number = 108,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}

local group_send_ch2 = Group {
  name = "SEND from CH2",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x01, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_2",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_2",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_2",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_2",
    name = "to_VARIATION",
    number = 20,
  },
}


--============================ CH 3 =================================--

local group_channel_3 = Group {

  name = "CHANNEL 3",
  
  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x02, "nn", "vv", 0xF7},

  Parameter {
    id = "Program_Number_3",
    name = "Program_Number",
    number = 3,
    display_min_value = 1,
    display_max_value = 128,
  },
  Parameter {
    id = "Mono_Poly_Mode_3",
    name = "Mono_Poly_Mode",
    number = 5,
    items = {"MONO","POLY"},
    item_values = {0,1},
    default_value = 2,
  },
  Parameter {
    id = "Portamento_3",
    name = "Portamento",
    number = 103,
    items = {"OFF","ON"},
    item_values = {0,127},
  },
  Parameter {
    id = "Porta_Time_3",
    name = "Porta_Time",
    number = 104,
  },
  Parameter {
    id = "Volume_3",
    name = "Volume",
    number = 11,
    default_value = 100,
  },
  Parameter {
    id = "Pan_3",
    name = "Pan",
    number = 14,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Transpose_3",
    name = "Transpose",
    number = 8,
    min_value = 40,
    max_value = 88,
    display_min_value = -24,
    display_max_value = 24,
    default_value = 64,
  },
  Parameter {
    id = "Finetune_3",
    name = "Finetune",
    number = 9,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x02, "nn", "xx", 0xF7},
    min_value = 0,
    max_value = 2040,
    display_min_value = -128,
    display_max_value = 127,
    default_value = 1020,
  },
  Parameter {
    id = "Vibrate_Rate_3",
    name = "Vibrate_Rate",
    number = 21,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Depth_3",
    name = "Vibrate_Depth",
    number = 22,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Vibrate_Delay_3",
    name = "Vibrate_Delay",
    number = 23,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Cutoff_3",
    name = "Filter_Cutoff",
    number = 24,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_3",
    name = "Filter_Reso",
    number = 25,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Time_3",
    name = "EG_Attack_Time",
    number = 26,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay_Time_3",
    name = "EG_Decay_Time",
    number = 27,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Release_Time_3",
    name = "EG_Release_Time",
    number = 28,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  
  Parameter {
    id = "Pitch_Initial_Level_3",
    name = "Pitch_Initial_Level",
    number = 105,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Attack_Time_3",
    name = "Pitch_Attack_Time",
    number = 106,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Level_3",
    name = "Pitch_Release_Level",
    number = 107,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Release_Time_3",
    name = "Pitch_Release_Time",
    number = 108,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}


local group_send_ch3 = Group {
  name = "SEND from CH3",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x02, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_3",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_3",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_3",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_3",
    name = "to_VARIATION",
    number = 20,
  },
}



--========================= DRUM EDITOR ============================--


local group_channel_10 = Group {
  

  name = "CHANNEL 10",

    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0xF7}, --=================== Dammy SysEx


  Parameter {
    id = "Part_Mode_10",
    name = "Part_Mode",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x09, "nn", "vv", 0xF7}, 
    number = 7,
    items = {"DRUM 1","DRUM 1"},
    item_values = {2,2},
  },
  
  Parameter {
    id = "Drum_Setup_Reset_10",
    name = "Drum_Setup_Reset",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x00, 0x00, "nn", "vv", 0xF7}, 
    number = 125,
    items = {"DRUM 1","DRUM 1"},
    item_values = {0,0},
  },
  
  Parameter {
    id = "Program_Number_10",
    name = "Program_Number",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x09, "nn", "vv", 0xF7},
    number = 3,
    items = {"1: Standard Kit","2: Standard2 Kit","9: Room Kit","17: Rock Kit",
             "25: Electro Kit","26: Analog Kit","33: Jazz Kit","41: Brush Kit","49: Classic Kit"},
    item_values = {0,1,8,16,24,25,32,40,48},
    gui_type = "dropdown"
  },

  
  Parameter {
    id = "Note_Number_10",
    name = "Note_Number",
    number = 100,--dummy number
    items = {"13_C#    Surdo Mute","14_D     Surdo Open","15_D#    HiQ",
             "16_E     Whip Slap","17_F     Scratch Push","18_F#    Scratch Pull",
             "19_G     Finger Snap","20_G#    Click Noise","21_A     Metronome Click",
             "22_A#    Metronome Bell","23_B     Seq Click L","24_C     Seq Click H",
             "25_C#    Brush Tap","26_D     Brush Swirl L","27_D#    Brush Slap",
             "28_E     Brush Swirl H","29_F     Snare Roll","30_F#    Castanet",
             "31_G     Snare L","32_G#    Sticks","33_A     Dass Drum L",
             "34_A#    Open Rim Shot","35_B     Bass Drum M","36_C     Bass Drum H",
             "37_C#    Side Stick","38_D     Snare M","39_D#    Hand Clap",
             "40_E     Snare H","41_F     Floor Tom L","42_F#    Hi-Hat Closed",
             "43_G     Floor Tom H","44_G#    Hi-Hat Pedal","45_A     Low Tom",
             "46_A#    Hi-Hat Open","47_B    Mid Tom L","48_C     Mid Tom H",
             "49_C#    Crash Cymbal 1","50_D     High Tom","51_D#    Ride Cymbal 1",
             "52_E     Chinese Cymbal","53_F     Ride Cymbal Cup","54_F#    Tambourine",
             "55_G     Splash Cymbal","56_G#    Cowbell","57_A     Crash Cymbal 2",
             "58_A#    Vibraslap","59_B     Ride Cymbal 2","60_C     Bongo H",
             "61_C#    Bongo L","62_D     Conga H Mute","63_D#    Conga H Open",
             "64_E     Conga L","65_F     Timbale H","66_F#    Timbale L",
             "67_G     Agogo H","68_G#    Agogo L","69_A     Cabasa",
             "70_A#    Maracas","71_B     Samba Whistle H","72_C     Samba Whistle L",
             "73_C#    Guiro Short","74_D     Guiro Long","75_D#    Claves",
             "76_E     Wood Block H","77_F     Wood Block L","78_F#    Cuica Mute",
             "79_G     Cuica Open","80_G#    Triangle Mute","81_A     Triangle Open",
             "82_A#    Shaker","83_B     Jingle Bell","84_C     Bell Tree"
             },
    item_values = {13,14,15,16,17,18,19,20,
                   21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,
                   41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,
                   61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,
                   81,82,83,84},
    gui_type = "dropdown",
    default_value = 24,

    value_callback = function(parameter,midi_value)
      local synth_definition = parameter.synth_definition
      
        if parameter:value() == 13 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0D, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 14 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0E, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 15 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x0F, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 16 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x10, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 17 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x11, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 18 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x12, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 19 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x13, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 20 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x14, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 21 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x15, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 22 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x16, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 23 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x17, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 24 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x18, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 25 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x19, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 26 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1A, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 27 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1B, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 28 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1C, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 29 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1D, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 30 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1E, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 31 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x1F, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 32 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x20, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 33 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x21, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 34 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x22, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 35 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x23, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 36 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x24, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 37 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x25, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 38 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x26, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 39 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x27, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 40 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x28, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 41 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x29, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 42 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2A, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 43 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2B, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 44 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2C, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 45 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2D, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 46 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2E, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 47 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x2F, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 48 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x30, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 49 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x31, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 50 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x32, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 51 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x33, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 52 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x34, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 53 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x35, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 54 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x36, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 55 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x37, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 56 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x38, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 57 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x39, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 58 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3A, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 59 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3B, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 60 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3C, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 61 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3D, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 62 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3E, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 63 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x3F, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 64 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x40, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 65 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x41, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 66 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x42, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 67 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x43, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 68 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x44, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 69 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x45, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 70 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x46, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 71 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x47, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 72 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x48, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 73 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x49, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 74 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4A, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 75 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4B, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 76 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4C, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 77 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4D, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 78 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4E, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 79 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x4F, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 80 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x50, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 81 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x51, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 82 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x52, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 83 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x53, "nn", "vv", 0xF7}
        
        elseif parameter:value() == 84 then
        synth_definition.parameters["Pitch_Coarse_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Pitch_Fine_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Level_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Alternate_Group_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Pan_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Reverb_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Chorus_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Variation_Send_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Key_Assign_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Rev_Note_Off_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Cutoff_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["Filter_Reso_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Attack_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay1_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
        synth_definition.parameters["EG_Decay2_Rate_10"]
        .sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x30, 0x54, "nn", "vv", 0xF7}
      end
    end
  },



  Parameter {
    id = "Pitch_Coarse_10",
    name = "Transpose",
    number = 0,
    min_value = 0,
    max_value = 127,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Pitch_Fine_10",
    name = "Finetune",
    number = 1,
    min_value = 0,
    max_value = 127,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Level_10",
    name = "Level",
    number = 2,
  },
  Parameter {
    id = "Alternate_Group_10",
    name = "Alternate_Group",
    number = 3,
    items = {"OFF","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15"},
    gui_type = "dropdown",
  },
  Parameter {
    id = "Pan_10",
    name = "Pan",
    number = 4,
    min_value = 1,
    max_value = 127,
    display_min_value = -63,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Reverb_Send_10",
    name = "Reverb_Send",
    number = 5,
  },
  Parameter {
    id = "Chorus_Send_10",
    name = "Chorus_Send",
    number = 6,
  },
  Parameter {
    id = "Variation_Send_10",
    name = "Variation_Send",
    number = 7,
  },
  Parameter {
    id = "Key_Assign_10",
    name = "Key_Assign",
    number = 08,
    items = {"SINGLE","MULTI"},
    item_values = {0,1},
  },
  Parameter {
    id = "Rev_Note_Off_10",
    name = "Rev_Note_Off",
    number = 09,
    items = {"OFF","ON"},
    item_values = {0,1},
  },
  Parameter {
    id = "Filter_Cutoff_10",
    name = "Filter_Cutoff",
    number = 11,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "Filter_Reso_10",
    name = "Filter_Reso",
    number = 12,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Attack_Rate_10",
    name = "EG_Attack_Rate",
    number = 13,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay1_Rate_10",
    name = "EG_Decay1_Rate",
    number = 14,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
  Parameter {
    id = "EG_Decay2_Rate_10",
    name = "EG_Decay2_Rate",
    number = 15,
    display_min_value = -64,
    display_max_value = 63,
    default_value = 64,
  },
}



local group_send_ch10 = Group {
  name = "SEND from CH10",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x08, 0x09, "nn", "vv", 0xF7},

  Parameter {
    id = "DRY_LEVEL_10",
    name = "DRY_LEVEL",
    number = 17,
    default_value = 127,
  },
  Parameter {
    id = "REVERB_SEND_10",
    name = "to_REVERB",
    number = 19,
  },
  Parameter {
    id = "CHORUS_SEND_10",
    name = "to_CHORUS",
    number = 18,
  },
  Parameter {
    id = "VARIATION_SEND_10",
    name = "to_VARIATION",
    number = 20,
  },
}

local group_comment_ch10 = Group {

  name = "ドラムキットを変更すると全てのパラメーターが初期化 \n されます。"

--  name = "If you change Drum Kit, all parameters will be \n initialized.",
  
}




--============================ REVERB =================================--

local group_reverb = Group {
  name = "REVERB",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},

  Parameter {
    id = "Reverb_Type",
    name = "Reverb_Type",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "xx", 0xF7},
    number = 00,
    gui_type = "dropdown",
    items = {"NO EFFECT","HALL 1","HALL 2","ROOM 1","ROOM 2","ROOM 3","STAGE 1","STAGE 2","PLATE","WHITE ROOM","TUNNEL","BASEMENT"},
    item_values = {0,128,129,256,257,258,384,385,512,2048,2176,2432},
    value_callback = function(parameter,midi_value)
          local vb = parameter.synth_definition.view_builder
            if parameter:value() == 0 then
              vb.views["Reverb_Param_1"].active = false
              vb.views["label_Reverb_Param_1"].text = ""
              vb.views["Reverb_Param_2"].active = false
              vb.views["label_Reverb_Param_2"].text = ""
              vb.views["Reverb_Param_3"].active = false
              vb.views["label_Reverb_Param_3"].text = ""
              vb.views["Reverb_Param_4"].active = false
              vb.views["label_Reverb_Param_4"].text = ""
              vb.views["Reverb_Param_5"].active = false
              vb.views["label_Reverb_Param_5"].text = ""
              vb.views["Reverb_Param_6"].active = false
              vb.views["label_Reverb_Param_6"].text = ""
              vb.views["Reverb_Param_7"].active = false
              vb.views["label_Reverb_Param_7"].text = ""
              vb.views["Reverb_Param_8"].active = false
              vb.views["label_Reverb_Param_8"].text = ""
              vb.views["Reverb_Param_9"].active = false
              vb.views["label_Reverb_Param_9"].text = ""

              vb.views["Reverb_Param_11"].active = false
              vb.views["label_Reverb_Param_11"].text = ""
              vb.views["Reverb_Param_12"].active = false
              vb.views["label_Reverb_Param_12"].text = ""
              vb.views["Reverb_Param_13"].active = false
              vb.views["label_Reverb_Param_13"].text = ""
              vb.views["Reverb_Param_14"].active = false
              vb.views["label_Reverb_Param_14"].text = ""
              vb.views["Reverb_Param_15"].active = false
              vb.views["label_Reverb_Param_15"].text = ""
              vb.views["Reverb_Param_16"].active = false
              vb.views["label_Reverb_Param_16"].text = ""
            elseif parameter:value() >= 128 and parameter:value() <= 512 then
              vb.views["Reverb_Param_1"].active = true
              vb.views["label_Reverb_Param_1"].text = "Reverb_Time"
              vb.views["Reverb_Param_2"].active = true
              vb.views["label_Reverb_Param_2"].text = "Diffusion"
              vb.views["Reverb_Param_3"].active = true
              vb.views["label_Reverb_Param_3"].text = "Initial_Delay"
              vb.views["Reverb_Param_4"].active = true
              vb.views["label_Reverb_Param_4"].text = "HPF_Cutoff"
              vb.views["Reverb_Param_5"].active = true
              vb.views["label_Reverb_Param_5"].text = "LPF_Cutoff"
              vb.views["Reverb_Param_6"].active = false
              vb.views["label_Reverb_Param_6"].text = ""
              vb.views["Reverb_Param_7"].active = false
              vb.views["label_Reverb_Param_7"].text = ""
              vb.views["Reverb_Param_8"].active = false
              vb.views["label_Reverb_Param_8"].text = ""
              vb.views["Reverb_Param_9"].active = false
              vb.views["label_Reverb_Param_9"].text = ""

              vb.views["Reverb_Param_11"].active = true
              vb.views["label_Reverb_Param_11"].text = "Rev_Delay"
              vb.views["Reverb_Param_12"].active = true
              vb.views["label_Reverb_Param_12"].text = "Density"
              vb.views["Reverb_Param_13"].active = true
              vb.views["label_Reverb_Param_13"].text = "Early/Rev Balance"
              vb.views["Reverb_Param_14"].active = false
              vb.views["label_Reverb_Param_14"].text = ""
              vb.views["Reverb_Param_15"].active = true
              vb.views["label_Reverb_Param_15"].text = "Feedback_Level"
              vb.views["Reverb_Param_16"].active = false
              vb.views["label_Reverb_Param_16"].text = ""

            elseif parameter:value() >= 2048 then
              vb.views["Reverb_Param_1"].active = true
              vb.views["label_Reverb_Param_1"].text = "Reverb_Time"
              vb.views["Reverb_Param_2"].active = true
              vb.views["label_Reverb_Param_2"].text = "Diffusion"
              vb.views["Reverb_Param_3"].active = true
              vb.views["label_Reverb_Param_3"].text = "Initial_Delay"
              vb.views["Reverb_Param_4"].active = true
              vb.views["label_Reverb_Param_4"].text = "HPF_Cutoff"
              vb.views["Reverb_Param_5"].active = true
              vb.views["label_Reverb_Param_5"].text = "LPF_Cutoff"
              vb.views["Reverb_Param_6"].active = true
              vb.views["label_Reverb_Param_6"].text = "Width"
              vb.views["Reverb_Param_7"].active = true
              vb.views["label_Reverb_Param_7"].text = "Height"
              vb.views["Reverb_Param_8"].active = true
              vb.views["label_Reverb_Param_8"].text = "Depth"
              vb.views["Reverb_Param_9"].active = true
              vb.views["label_Reverb_Param_9"].text = "Wall_Vary"

              vb.views["Reverb_Param_11"].active = true
              vb.views["label_Reverb_Param_11"].text = "Rev_Delay"
              vb.views["Reverb_Param_12"].active = true
              vb.views["label_Reverb_Param_12"].text = "Density"
              vb.views["Reverb_Param_13"].active = true
              vb.views["label_Reverb_Param_13"].text = "Early/Rev Balance"
              vb.views["Reverb_Param_14"].active = false
              vb.views["label_Reverb_Param_14"].text = ""
              vb.views["Reverb_Param_15"].active = true
              vb.views["label_Reverb_Param_15"].text = "Feedback_Level"
              vb.views["Reverb_Param_16"].active = false
              vb.views["label_Reverb_Param_16"].text = ""
   
            end
        end
      
  },
  Parameter {
    id = "Reverb_Param_1",
    name = "Reverb_Time",
    number = 02,
    max_value = 69,
    display_min_value = 3,
    display_max_value = 300,
  },
  Parameter {
    id = "Reverb_Param_2",
    name = "Diffusion",
    number = 03,
    max_value = 10,
  },
  Parameter {
    id = "Reverb_Param_3",
    name = "Initial_Delay",
    number = 04,
    max_value = 63,
  },
  Parameter {
    id = "Reverb_Param_4",
    name = "HPF_Cutoff",
    number = 05,
    max_value = 52,
    display_min_value = 0,
    display_max_value = 8000,
  },
  Parameter {
    id = "Reverb_Param_5",
    name = "LPF_Cutoff",
    number = 06,
    min_value = 34,
    max_value = 60,
    default_value = 60,
    display_min_value = 1000,
    display_max_value = 20000,
  },
  Parameter {
    id = "Reverb_Param_6",
    name = "Width",
    number = 07,
    min_value = 0,
    max_value = 37,
    display_min_value = 50,
    display_max_value = 1020,
  },
  Parameter {
    id = "Reverb_Param_7",
    name = "Height",
    number = 08,
    min_value = 0,
    max_value = 73,
    display_min_value = 50,
    display_max_value = 2020,
  },
  Parameter {
    id = "Reverb_Param_8",
    name = "Depth",
    number = 09,
    min_value = 0,
    max_value = 104,
    display_min_value = 50,
    display_max_value = 3020,
  },
  Parameter {
    id = "Reverb_Param_9",
    name = "Wall_Vary",
    number = 10,
    min_value = 0,
    max_value = 30,
  },

  Parameter {
    id = "Reverb_Param_11",
    name = "Rev_Delay",
    number = 16,
    min_value = 0,
    max_value = 63,
  },
  Parameter {
    id = "Reverb_Param_12",
    name = "Density",
    number = 17,
    min_value = 0,
    max_value = 3,
  },
  Parameter {
    id = "Reverb_Param_13",
    name = "Early/Rev Balance",
    number = 18,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
  Parameter {
    id = "Reverb_Param_14",
    name = "X",
    number = 19,
  },
  Parameter {
    id = "Reverb_Param_15",
    name = "Feedback_Level",
    number = 20,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
  Parameter {
    id = "Reverb_Param_16",
    name = "X",
    number = 21,
  },
}

local group_reverb_return = Group {
  name = "REVERB RETURN  (reverb level for whole parts)",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  
  Parameter {
    id = "Reverb_RETURN",
    name = "Reverb_RETURN",
    number = 12,
    default_value = 64,
  },
  Parameter {
    id = "Reverb_PAN",
    name = "Reverb_PAN",
    number = 13,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
}




--============================ CHORUS =================================--

local group_chorus = Group {
  name = "CHORUS",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},

  Parameter {
    id = "Chorus_Type",
    name = "Chorus_Type",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "xx", 0xF7},
    number = 32,
    gui_type = "dropdown",
    items = {"NO EFFECT","CHORUS 1","CHORUS 2","CHORUS 3","CHORUS 4","CELESTE 1","CELESTE 2","CELESTE 3","CELESTE 4","FLANGER 1","FLANGER 2","FLANGER 3"},
    item_values = {0,8320,8321,8322,8328,8448,8449,8450,8456,8576,8577,8584},
    value_callback = function(parameter,midi_value)
          local vb = parameter.synth_definition.view_builder
            if parameter:value() == 0 then
              vb.views["Chorus_Param_1"].active = false
              vb.views["label_Chorus_Param_1"].text = ""
              vb.views["Chorus_Param_2"].active = false
              vb.views["label_Chorus_Param_2"].text = ""
              vb.views["Chorus_Param_3"].active = false
              vb.views["label_Chorus_Param_3"].text = ""
              vb.views["Chorus_Param_4"].active = false
              vb.views["label_Chorus_Param_4"].text = ""
              vb.views["Chorus_Param_5"].active = false
              vb.views["label_Chorus_Param_5"].text = ""
              vb.views["Chorus_Param_6"].active = false
              vb.views["label_Chorus_Param_6"].text = ""
              vb.views["Chorus_Param_7"].active = false
              vb.views["label_Chorus_Param_7"].text = ""
              vb.views["Chorus_Param_8"].active = false
              vb.views["label_Chorus_Param_8"].text = ""
              vb.views["Chorus_Param_9"].active = false
              vb.views["label_Chorus_Param_9"].text = ""

              vb.views["Chorus_Param_11"].active = false
              vb.views["label_Chorus_Param_11"].text = ""
              vb.views["Chorus_Param_12"].active = false
              vb.views["label_Chorus_Param_12"].text = ""
              vb.views["Chorus_Param_13"].active = false
              vb.views["label_Chorus_Param_13"].text = ""
              vb.views["Chorus_Param_14"].active = false
              vb.views["label_Chorus_Param_14"].text = ""
              vb.views["Chorus_Param_15"].active = false
              vb.views["label_Chorus_Param_15"].text = ""
              vb.views["Chorus_Param_16"].active = false
              vb.views["label_Chorus_Param_16"].text = ""
              
            elseif parameter:value() >= 8320 and parameter:value() <= 8456 then
              vb.views["Chorus_Param_1"].active = true
              vb.views["label_Chorus_Param_1"].text = "LFO_Freq."
              vb.views["Chorus_Param_2"].active = true
              vb.views["label_Chorus_Param_2"].text = "LFO_PM_Depth"
              vb.views["Chorus_Param_3"].active = true
              vb.views["label_Chorus_Param_3"].text = "Feedback_Level"
              vb.views["Chorus_Param_4"].active = true
              vb.views["label_Chorus_Param_4"].text = "Delay_Offset"
              vb.views["Chorus_Param_5"].active = false
              vb.views["label_Chorus_Param_5"].text = ""
              vb.views["Chorus_Param_6"].active = true
              vb.views["label_Chorus_Param_6"].text = "EQ_Low_Freq."
              vb.views["Chorus_Param_7"].active = true
              vb.views["label_Chorus_Param_7"].text = "EQ_Low_Gain"
              vb.views["Chorus_Param_8"].active = true
              vb.views["label_Chorus_Param_8"].text = "EQ_High_Freq."
              vb.views["Chorus_Param_9"].active = true
              vb.views["label_Chorus_Param_9"].text = "EQ_High_Gain"

              vb.views["Chorus_Param_11"].active = false
              vb.views["label_Chorus_Param_11"].text = ""
              vb.views["Chorus_Param_12"].active = false
              vb.views["label_Chorus_Param_12"].text = ""
              vb.views["Chorus_Param_13"].active = false
              vb.views["label_Chorus_Param_13"].text = ""
              vb.views["Chorus_Param_14"].active = false
              vb.views["label_Chorus_Param_14"].text = ""
              vb.views["Chorus_Param_15"].active = true
              vb.views["label_Chorus_Param_15"].text = "Input_Mode"
              vb.views["Chorus_Param_16"].active = false
              vb.views["label_Chorus_Param_16"].text = ""

            elseif parameter:value() >= 8576 then
              vb.views["Chorus_Param_1"].active = true
              vb.views["label_Chorus_Param_1"].text = "LFO_Freq."
              vb.views["Chorus_Param_2"].active = true
              vb.views["label_Chorus_Param_2"].text = "LFO_PM_Depth"
              vb.views["Chorus_Param_3"].active = true
              vb.views["label_Chorus_Param_3"].text = "Feedback_Level"
              vb.views["Chorus_Param_4"].active = true
              vb.views["label_Chorus_Param_4"].text = "Delay_Offset"
              vb.views["Chorus_Param_5"].active = false
              vb.views["label_Chorus_Param_5"].text = ""
              vb.views["Chorus_Param_6"].active = true
              vb.views["label_Chorus_Param_6"].text = "EQ_Low_Freq."
              vb.views["Chorus_Param_7"].active = true
              vb.views["label_Chorus_Param_7"].text = "EQ_Low_Gain"
              vb.views["Chorus_Param_8"].active = true
              vb.views["label_Chorus_Param_8"].text = "EQ_High_Freq."
              vb.views["Chorus_Param_9"].active = true
              vb.views["label_Chorus_Param_9"].text = "EQ_High_Gain"

              vb.views["Chorus_Param_11"].active = false
              vb.views["label_Chorus_Param_11"].text = ""
              vb.views["Chorus_Param_12"].active = false
              vb.views["label_Chorus_Param_12"].text = ""
              vb.views["Chorus_Param_13"].active = false
              vb.views["label_Chorus_Param_13"].text = ""
              vb.views["Chorus_Param_14"].active = true
              vb.views["label_Chorus_Param_14"].text = "LFO_Phase_Diff."
              vb.views["Chorus_Param_15"].active = false
              vb.views["label_Chorus_Param_15"].text = ""
              vb.views["Chorus_Param_16"].active = false
              vb.views["label_Chorus_Param_16"].text = ""
   
            end
        end
      
  },
  Parameter {
    id = "Chorus_Param_1",
    name = "LFO_Freq.",
    number = 0,
    max_value = 127,
    display_min_value = 0,
    display_max_value = 397,
  },
  Parameter {
    id = "Chorus_Param_2",
    name = "LFO_PM_Depth",
    number = 35,
  },
  Parameter {
    id = "Chorus_Param_3",
    name = "Feedback_Level",
    number = 36,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
  Parameter {
    id = "Chorus_Param_4",
    name = "Delay_Offset",
    number = 37,
    max_value = 127,
  },
  Parameter {
    id = "Chorus_Param_5",
    name = "X",
    number = 38,
  },
  Parameter {
    id = "Chorus_Param_6",
    name = "EQ_Low_Freq.",
    number = 39,
    min_value = 8,
    max_value = 40,
    display_min_value = 50,
    display_max_value = 2000,
  },
  Parameter {
    id = "Chorus_Param_7",
    name = "EQ_Low_Gain",
    number = 40,
    min_value = 52,
    max_value = 76,
    display_min_value = -12,
    display_max_value = 12,
  },
  Parameter {
    id = "Chorus_Param_8",
    name = "EQ_High_Freq.",
    number = 41,
    min_value = 28,
    max_value = 58,
    display_min_value = 500,
    display_max_value = 16000,
  },
  Parameter {
    id = "Chorus_Param_9",
    name = "EQ_High_Gain",
    number = 42,
    min_value = 52,
    max_value = 76,
    display_min_value = -12,
    display_max_value = 12,
  },

  Parameter {
    id = "Chorus_Param_11",
    name = "X",
    number = 48,
  },
  Parameter {
    id = "Chorus_Param_12",
    name = "X",
    number = 49,
  },
  Parameter {
    id = "Chorus_Param_13",
    name = "X",
    number = 50,
  },
  Parameter {
    id = "Chorus_Param_14",
    name = "LFO_Phase_Diff",
    number = 51,
    min_value = 4,
    max_value = 124,
    default_value = 64,
    display_min_value = -180,
    display_max_value = 180,
  },
  Parameter {
    id = "Chorus_Param_15",
    name = "Input_Mode",
    number = 52,
    default_value = 2,
    items = {"Mono","Stereo"},
    item_values = {0,1},
  },
  Parameter {
    id = "Chorus_Param_16",
    name = "X",
    number = 53,
  },
}


local group_chorus_return = Group {
  name = "CHORUS RETURN  (chorus level for whole parts)",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  
  Parameter {
    id = "Chorus_RETURN",
    name = "Chorus_RETURN",
    number = 44,
    default_value = 64,
  },
  Parameter {
    id = "Chorus_PAN",
    name = "Chorus_PAN",
    number = 45,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
  Parameter {
    id = "SEND_Chorus_to_Reverb",
    name = "SEND_to_Reverb",
    number = 46,
  },
}






--============================ VARIATION =================================--

local group_variation = Group {
  name = "VARIATION",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "xx", 0xF7},

  
  Parameter {
    id = "Effect_Type",
    name = "Effect_Type",
    number = 64,
    items = {"NO EFFECT",
             "HALL 1","HALL 2","ROOM 1","ROOM 2","ROOM 3","STAGE 1","STAGE 2",
             "PLATE","DELAY L,C,R","DELAY L,R","ECHO","CROSS DELAY",
             "EARLY REF 1","EARLY REF 2","GATE REVERB","REVERSE GATE",
             "KARAOKE 1","KARAOKE 2","KARAOKE 3",
             "CHORUS 1","CHORUS 2","CHORUS 3","CHORUS 4",
             "CELESTE 1","CELESTE 2","CELESTE 3","CELESTE 4",
             "FLANGER 1","FLANGER 2","FLANGER 3","SYNPHONIC","ROTARY SPEAKER",
             "TREMOLO","AUTO PAN","PHASER 1","PHASER 2","DISTORTION","OVER DRIVE",
             "AMP SIMULATOR","3 BAND EQ (MONO)","2 BAND EQ (STEREO)","AUTO WAH (LFO)","THRU"},
    item_values = {0,128,129,256,257,258,384,385,512,640,
                   768,896,1024,1152,1153,1280,1408,2560,2561,2562,
                   8320,8321,8322,8328,8448,8449,8450,8456,8576,8577,
                   8584,8704,8832,8960,9088,9216,9217,9344,9472,9600,
                   9728,9856,9984,8192},
    value_callback = function(parameter,midi_value)
          local vb = parameter.synth_definition.view_builder

            if parameter:value() == 0 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""

-- Hall 1,2, Room 1,2,3, Stage 1,2, Plate
            elseif parameter:value() >= 128 and parameter:value() <= 512 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Reverb_Time"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Diffusion"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Initial_Delay"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "HPF_Cutoff"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "LPF_Cutoff"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Rev_Delay"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Density"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "Early/Rev Balance"
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Feedback_Level"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Delay L,C,R
            elseif parameter:value() == 640 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Feedback_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "Center_Level"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "High_Damp"
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "EQ_High_Freq."
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "EQ_High_Gain"
              
              vb.views["Vari_Param_1_7150"].active = true
              vb.views["label_Vari_Param_1_7150"].text = "L_Delay"
              vb.views["Vari_Param_2_7150"].active = true
              vb.views["label_Vari_Param_2_7150"].text = "R_Delay"
              vb.views["Vari_Param_3_7150"].active = true
              vb.views["label_Vari_Param_3_7150"].text = "C_Delay"
              vb.views["Vari_Param_4_7150"].active = true
              vb.views["label_Vari_Param_4_7150"].text = "Feedback_Delay"
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
-- Delay L,R            
            elseif parameter:value() == 768 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Feedback_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "High_Damp"
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "EQ_High_Freq."
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "EQ_High_Gain"
              
              vb.views["Vari_Param_1_7150"].active = true
              vb.views["label_Vari_Param_1_7150"].text = "L_Delay"
              vb.views["Vari_Param_2_7150"].active = true
              vb.views["label_Vari_Param_2_7150"].text = "R_Delay"
              vb.views["Vari_Param_3_7150"].active = true
              vb.views["label_Vari_Param_3_7150"].text = "Feedback_Delay_1"
              vb.views["Vari_Param_4_7150"].active = true
              vb.views["label_Vari_Param_4_7150"].text = "Feedback_Delay_2"
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Echo            
            elseif parameter:value() == 896 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "L_Feedback_Level"
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "R_Feedback_Level"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "High_Damp"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "Delay_2_Level"
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "EQ_High_Freq."
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "EQ_High_Gain"
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = true
              vb.views["label_Vari_Param_1_3550"].text = "L_Delay_1"
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = true
              vb.views["label_Vari_Param_3_3550"].text = "R_Delay_1"
              vb.views["Vari_Param_6_3550"].active = true
              vb.views["label_Vari_Param_6_3550"].text = "L_Delay_2"
              vb.views["Vari_Param_7_3550"].active = true
              vb.views["label_Vari_Param_7_3550"].text = "R_Delay_2"
              
-- Cross Delay            
            elseif parameter:value() == 1024 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Feedback_Level"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Input_Select"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "High_Damp"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "EQ_High_Freq."
              vb.views["Variation_Param_16"].active = true
              vb.views["label_Variation_Param_16"].text = "EQ_High_Gain"
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = true
              vb.views["label_Vari_Param_1_3550"].text = "L-->R_Delay"
              vb.views["Vari_Param_2_3550"].active = true
              vb.views["label_Vari_Param_2_3550"].text = "R-->L_Delay"
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Early Ref 1,2            
            elseif parameter:value() == 1152 or parameter:value() == 1153 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Type"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Room_Size"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Diffusion"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Initial_Delay"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Feedback_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "HPF_Cutoff"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "LPF_Cutoff"
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Liveness"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Density"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "High_Damp"
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Gate Reverb, Reverse Gate            
            elseif parameter:value() == 1280 or parameter:value() == 1408 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Type"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Room_Size"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Diffusion"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Initial_Delay"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Feedback_Level"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "HPF_Cutoff"
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "LPF_Cutoff"
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Liveness"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Density"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "High_Damp"
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Karaoke 1,2,3            
            elseif parameter:value() >= 2560 and parameter:value() <= 2562 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Delay_Time"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "Feedback_Level"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "HPF_Cutoff"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "LPF_CUtoff"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Chorus 1,2,3,4. Celeste 1,2,3,4            
            elseif parameter:value() >= 8320 and parameter:value() <= 8456 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_PM_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Feedback_Level"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Delay_Offset"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Input_Mode"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Flanger 1,2,3            
            elseif parameter:value() >= 8576 and parameter:value() <= 8584 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Feedback_Level"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Delay_Offset"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "LFO_Phase_Diff."
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Synphonic            
            elseif parameter:value() == 8704 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Delay_Offset"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Rotary Speaker            
            elseif parameter:value() == 8832 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
--Tremolo            
            elseif parameter:value() == 8960 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "AM_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "PM_Depth"
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = true
              vb.views["label_Variation_Param_14"].text = "LFO_Phase_Diff."
              vb.views["Variation_Param_15"].active = true
              vb.views["label_Variation_Param_15"].text = "Input_Mode"
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
--Auto Pan            
            elseif parameter:value() == 9088 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "L/R_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "F/R_Depth"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "PAN_Direction"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Phaser 1,2            
            elseif parameter:value() == 9216 or parameter:value() == 9217 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Phase_Shift_Offset"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Feedback_Level"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Stage"
              vb.views["Variation_Param_12"].active = true
              vb.views["label_Variation_Param_12"].text = "Diffusion"
              vb.views["Variation_Param_13"].active = true
              vb.views["label_Variation_Param_13"].text = "LFO_Phase_Diff."
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Distortion, Overdrive            
            elseif parameter:value() == 9344 or parameter:value() == 9472 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Drive"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "LPF_Cutoff"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "Output_Level"
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Mid_Freq."
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_Mid_Width"

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Edge (Clip Curve)"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Guitar Amp Simulator            
            elseif parameter:value() == 9600 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "Drive"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "AMP_Type"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "LPF_Cutoff"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Output_Level"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = true
              vb.views["label_Variation_Param_11"].text = "Edge (Clip Curve)"
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- 3-Band EQ            
            elseif parameter:value() == 9728 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "EQ_Mid_Freq."
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "EQ_Mid_Gain"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "EQ_Mid_Width"
              vb.views["Variation_Param_5"].active = true
              vb.views["label_Variation_Param_5"].text = "EQ_High_Gain"
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_High_Freq."
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- 2-Band EQ            
            elseif parameter:value() == 9856 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "EQ_High_Freq."
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "EQ_High_Gain"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Auto Wah            
            elseif parameter:value() == 9984 then
              vb.views["Variation_Param_1"].active = true
              vb.views["label_Variation_Param_1"].text = "LFO_Freq."
              vb.views["Variation_Param_2"].active = true
              vb.views["label_Variation_Param_2"].text = "LFO_Depth"
              vb.views["Variation_Param_3"].active = true
              vb.views["label_Variation_Param_3"].text = "Cutoff_Freq._Offset"
              vb.views["Variation_Param_4"].active = true
              vb.views["label_Variation_Param_4"].text = "Resonanse"
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = true
              vb.views["label_Variation_Param_6"].text = "EQ_Low_Freq."
              vb.views["Variation_Param_7"].active = true
              vb.views["label_Variation_Param_7"].text = "EQ_Low_Gain"
              vb.views["Variation_Param_8"].active = true
              vb.views["label_Variation_Param_8"].text = "EQ_High_Freq."
              vb.views["Variation_Param_9"].active = true
              vb.views["label_Variation_Param_9"].text = "EQ_High_Gain"

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
-- Turu            
            elseif parameter:value() == 8192 then
              vb.views["Variation_Param_1"].active = false
              vb.views["label_Variation_Param_1"].text = ""
              vb.views["Variation_Param_2"].active = false
              vb.views["label_Variation_Param_2"].text = ""
              vb.views["Variation_Param_3"].active = false
              vb.views["label_Variation_Param_3"].text = ""
              vb.views["Variation_Param_4"].active = false
              vb.views["label_Variation_Param_4"].text = ""
              vb.views["Variation_Param_5"].active = false
              vb.views["label_Variation_Param_5"].text = ""
              vb.views["Variation_Param_6"].active = false
              vb.views["label_Variation_Param_6"].text = ""
              vb.views["Variation_Param_7"].active = false
              vb.views["label_Variation_Param_7"].text = ""
              vb.views["Variation_Param_8"].active = false
              vb.views["label_Variation_Param_8"].text = ""
              vb.views["Variation_Param_9"].active = false
              vb.views["label_Variation_Param_9"].text = ""

              vb.views["Variation_Param_11"].active = false
              vb.views["label_Variation_Param_11"].text = ""
              vb.views["Variation_Param_12"].active = false
              vb.views["label_Variation_Param_12"].text = ""
              vb.views["Variation_Param_13"].active = false
              vb.views["label_Variation_Param_13"].text = ""
              vb.views["Variation_Param_14"].active = false
              vb.views["label_Variation_Param_14"].text = ""
              vb.views["Variation_Param_15"].active = false
              vb.views["label_Variation_Param_15"].text = ""
              vb.views["Variation_Param_16"].active = false
              vb.views["label_Variation_Param_16"].text = ""
              
              vb.views["Vari_Param_1_7150"].active = false
              vb.views["label_Vari_Param_1_7150"].text = ""
              vb.views["Vari_Param_2_7150"].active = false
              vb.views["label_Vari_Param_2_7150"].text = ""
              vb.views["Vari_Param_3_7150"].active = false
              vb.views["label_Vari_Param_3_7150"].text = ""
              vb.views["Vari_Param_4_7150"].active = false
              vb.views["label_Vari_Param_4_7150"].text = ""
              vb.views["Vari_Param_1_3550"].active = false
              vb.views["label_Vari_Param_1_3550"].text = ""
              vb.views["Vari_Param_2_3550"].active = false
              vb.views["label_Vari_Param_2_3550"].text = ""
              vb.views["Vari_Param_3_3550"].active = false
              vb.views["label_Vari_Param_3_3550"].text = ""
              vb.views["Vari_Param_6_3550"].active = false
              vb.views["label_Vari_Param_6_3550"].text = ""
              vb.views["Vari_Param_7_3550"].active = false
              vb.views["label_Vari_Param_7_3550"].text = ""
              
            end
        end
  },
  Parameter {
    id = "Variation_Param_1",
    name = "Variation_Param_1",
    number = 66,
  },
  Parameter {
    id = "Variation_Param_2",
    name = "Variation_Param_2",
    number = 68,
  },
  Parameter {
    id = "Variation_Param_3",
    name = "Variation_Param_3",
    number = 70,
  },
  Parameter {
    id = "Variation_Param_4",
    name = "Variation_Param_4",
    number = 72,
  },
  Parameter {
    id = "Variation_Param_5",
    name = "Variation_Param_5",
    number = 74,
  },
  Parameter {
    id = "Variation_Param_6",
    name = "Variation_Param_6",
    number = 76,
  },
  Parameter {
    id = "Variation_Param_7",
    name = "Variation_Param_7",
    number = 78,
  },
  Parameter {
    id = "Variation_Param_8",
    name = "Variation_Param_8",
    number = 80,
  },
  Parameter {
    id = "Variation_Param_9",
    name = "Variation_Param_9",
    number = 82,
  },

  Parameter {
    id = "Variation_Param_11",
    name = "Variation_Param_11",
    number = 112,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
  Parameter {
    id = "Variation_Param_12",
    name = "Variation_Param_12",
    number = 113,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
  Parameter {
    id = "Variation_Param_13",
    name = "Variation_Param_13",
    number = 114,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
  Parameter {
    id = "Variation_Param_14",
    name = "Variation_Param_14",
    number = 115,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
  Parameter {
    id = "Variation_Param_15",
    name = "Variation_Param_15",
    number = 116,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
  Parameter {
    id = "Variation_Param_16",
    name = "Variation_Param_16",
    number = 117,
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  },
}



local group_variation_return = Group {
  name = "VARIATION RETURN",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "vv", 0xF7},
  
  Parameter {
    id = "Connection_Mode",
    name = "Connection_Mode",
    number = 90,
    items = {"INSERTION","SEND-RETURN"},
    item_values = {0,1},
    default_value = 2,
    value_callback = function(parameter,midi_value)
          local vb = parameter.synth_definition.view_builder
            if parameter:value() == 0 then
              vb.views["Insertion_Channel"].active = true
              vb.views["label_Insertion_Channel"].text = "Insertion_Channel"
              vb.views["Variation_Param_10"].active = true
              vb.views["label_Variation_Param_10"].text = "Dry/Wet"
              vb.views["Variation_RETURN"].active = false
              vb.views["label_Variation_RETURN"].text = ""
              vb.views["Variation_PAN"].active = false
              vb.views["label_Variation_PAN"].text = ""
              vb.views["SEND_Variation_to_Reverb"].active = false
              vb.views["label_SEND_Variation_to_Reverb"].text = ""
              vb.views["SEND_Variation_to_Chorus"].active = false
              vb.views["label_SEND_Variation_to_Chorus"].text = ""
            elseif parameter:value() == 1 then
              vb.views["Insertion_Channel"].active = false
              vb.views["label_Insertion_Channel"].text = ""
              vb.views["Variation_Param_10"].active = false
              vb.views["label_Variation_Param_10"].text = ""
              vb.views["Variation_RETURN"].active = true
              vb.views["label_Variation_RETURN"].text = "Variation_RETURN"
              vb.views["Variation_PAN"].active = true
              vb.views["label_Variation_PAN"].text = "Variation_PAN"
              vb.views["SEND_Variation_to_Reverb"].active = true
              vb.views["label_SEND_Variation_to_Reverb"].text = "SEND_to_Reverb"
              vb.views["SEND_Variation_to_Chorus"].active = true
              vb.views["label_SEND_Variation_to_Chorus"].text = "SEND_to_Chorus"
            end
          end        
  },
  Parameter {
    id = "Insertion_Channel",
    name = "Insertion_Channel",
    number = 91,
    items = {"1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","OFF"},
    item_values = {0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,127},
    default_value = 17,
  },
    Parameter {
    id = "Variation_Param_10",
    name = "Dry/Wet",
    sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "xx", 0xF7},
    number = 84,
    min_value = 1,
    max_value = 127,
  },
  Parameter {
    id = "Variation_RETURN",
    name = "Variation_RETURN",
    number = 86,
    default_value = 64,
  },
  Parameter {
    id = "Variation_PAN",
    name = "Variation_PAN",
    number = 87,
    min_value = 1,
    max_value = 127,
    default_value = 64,
    display_min_value = -63,
    display_max_value = 63,
  },
  Parameter {
    id = "SEND_Variation_to_Reverb",
    name = "SEND_to_Reverb",
    number = 88,
  },
  Parameter {
    id = "SEND_Variation_to_Chorus",
    name = "SEND_to_Chorus",
    number = 89,
  },
}


local group_variation_extend = Group {
  name = "some DELAY PARAMs (irregular max_values)",

  sysex_message_template = {0xF0, 0x43, 0x10, 0x4C, 0x02, 0x01, "nn", "xx", 0xF7},

  Parameter {
    id = "Vari_Param_1_7150",
    name = "Vari_Param_1_7150",
    number = 66,
    min_value = 1,
    max_value = 7150,
  },
  Parameter {
    id = "Vari_Param_2_7150",
    name = "Vari_Param_2_7150",
    number = 68,
    min_value = 1,
    max_value = 7150,
  },
  Parameter {
    id = "Vari_Param_3_7150",
    name = "Vari_Param_3_7150",
    number = 70,
    min_value = 1,
    max_value = 7150,
  },
  Parameter {
    id = "Vari_Param_4_7150",
    name = "Vari_Param_4_7150",
    number = 72,
    min_value = 1,
    max_value = 7150,
  },
  Parameter {
    id = "Vari_Param_1_3550",
    name = "Vari_Param_1_3550",
    number = 66,
    min_value = 1,
    max_value = 3550,
  },
  Parameter {
    id = "Vari_Param_2_3550",
    name = "Vari_Param_2_3550",
    number = 68,
    min_value = 1,
    max_value = 3550,
  },
  Parameter {
    id = "Vari_Param_3_3550",
    name = "Vari_Param_3_3550",
    number = 70,
    min_value = 1,
    max_value = 3550,
  },
  Parameter {
    id = "Vari_Param_6_3550",
    name = "Vari_Param_6_3550",
    number = 76,
    min_value = 1,
    max_value = 3550,
  },
  Parameter {
    id = "Vari_Param_7_3550",
    name = "Vari_Param_7_3550",
    number = 78,
    min_value = 1,
    max_value = 3550,
  },
}


local group_comment_variation = Group {

  name = "VARIATION の各パラメータの有効範囲は、画面上では \n 適切に表示されません。もし実際の有効範囲が（0～3）  \n や（52～76）であっても、それらは常に（0～127） \n  と表示されるだけです。\n\n ですから、お使いの XG 音源のマニュアルの \n 「エフェクト・パラメーター・リスト」を参照して \n スライダーの有効範囲を確認してください。"

--  name = "Each actual range of VARIATION parameter \n is not displayed properly. Always it just displays \n (0~127), even if the effective range is only \n (0~3) or (52~76), for example. \n\n So please refer the EFFECT PARAMETER LIST \n in the YAMAHA's manual of your XG device \n to check the actual parameter ranges.",
  
}




--========================== GUI PANEL LAYOUT =============================--

return SynthDefinition {
  id = "yamaha_sk1xg", 
  name = "Yamaha SK1XG (CBX-K1XG, MU50)",
  author = "satobox",
  beta = false,
  delay_between_midi_messages = 10,
  content_height = 640,

  Section {
    name = "CH 1, 2, 3",
    group_channel_1,
    group_send_ch1,
    group_channel_2,
    group_send_ch2,
    group_channel_3,
    group_send_ch3,
  },
  Section {
    name = "REV, CHO",
    group_reverb,
    group_reverb_return,
    group_chorus,
    group_chorus_return,
  },
  Section {
    name = "VARIATION",
    group_variation,
    group_variation_return,
    group_variation_extend,
    group_comment_variation,
  },
  Section {
    name = "DRUM 1",
    group_channel_10,
    group_send_ch10,
    group_comment_ch10,
  },
}


